Index: gnome/platform/folks.xml
===================================================================
--- gnome/platform/folks.xml	(revision 65669e50760ac7a07a36ca147e780b2d79b2d278)
+++ gnome/platform/folks.xml	(revision 65669e50760ac7a07a36ca147e780b2d79b2d278)
@@ -0,0 +1,268 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY folks-download-http "&gnome-download-http;/folks/0.9/folks-&folks-version;.tar.xz">
+  <!ENTITY folks-download-ftp  "&gnome-download-ftp;/folks/0.9/folks-&folks-version;.tar.xz">
+  <!ENTITY folks-md5sum        "aeaeb5a8e7277b167b9f055f372b9d5d">
+  <!ENTITY folks-size          "1.9 MB">
+  <!ENTITY folks-buildsize     "70 MB">
+  <!ENTITY folks-time          "0.7 SBU">
+]>
+
+<sect1 id="folks" xreflabel="Folks-&folks-version;">
+  <?dbhtml filename="folks.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Folks-&folks-version;</title>
+
+  <indexterm zone="folks">
+    <primary sortas="a-Folks">Folks</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Folks</title>
+
+    <para>
+      <application>Folks</application> is a library that
+      aggregates people from multiple sources (eg,
+      <application>Telepathy</application> connection managers and eventually
+      <application>Evolution Data Server</application>, Facebook, etc.)
+      to create metacontacts.
+    </para>
+
+    &lfs75_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&folks-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&folks-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &folks-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &folks-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &folks-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &folks-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Folks Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gobject-introspection"/>,
+      <xref linkend="dbus"/>,
+      <xref linkend="dbus-glib"/>,
+      <xref linkend="libgee"/>,
+      <xref linkend="zeitgeist"/>, and
+      <xref linkend="telepathy-glib"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="evolution-data-server"/>,
+      <xref linkend="telepathy-logger"/>,
+      <xref linkend="shared-mime-info"/>, and
+      <xref linkend="vala"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="valadoc"/>
+      (Required for generating the documentation)
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/folks"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Folks</title>
+
+    <para>
+      Install <application>Folks</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --enable-vala &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>--enable-vala</option>: This switch enables
+      building of the Vala bindings. Remove if you don't have
+      <xref linkend="vala"/> installed.
+    </para>
+
+    <para>
+      <option>--enable-tracker-backend</option>: This switch enables
+      building of the the <application>Tracker</application> backend.
+    </para>
+
+    <para>
+      <option>--enable-docs</option>: This switch enables
+      documentation generation.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          folks-import and folks-inspect
+        </seg>
+        <seg>
+          libfolks-eds.so, libfolks-libsocialweb.so,
+          libfolks.so, libfolks-telepathy.so and
+          libfolks-tracker.so
+        </seg>
+        <seg>
+          /usr/include/folks and
+          /usr/lib/folks
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="folks-import">
+        <term><command>folks-import</command></term>
+        <listitem>
+          <para>
+            is used to import meta-contact information to libfolks.
+          </para>
+          <indexterm zone="folks folks-import">
+            <primary sortas="b-folks-import">folks-import</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="folks-inspect">
+        <term><command>folks-inspect</command></term>
+        <listitem>
+          <para>
+            is used to inspect meta-contact information in libfolks.
+          </para>
+          <indexterm zone="folks folks-inspect">
+            <primary sortas="b-folks-inspect">folks-inspect</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libfolks-eds">
+        <term><filename class="libraryfile">libfolks-eds.so</filename></term>
+        <listitem>
+          <para>
+            contains Evolution specific implementations of the libfolks classes.
+          </para>
+          <indexterm zone="folks libfolks-eds">
+            <primary sortas="c-libfolks-eds">libfolks-eds.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libfolks-libsocialweb">
+        <term><filename class="libraryfile">libfolks-libsocialweb.so</filename></term>
+        <listitem>
+          <para>
+            contains libsocialweb specific implementations of the libfolks classes.
+          </para>
+          <indexterm zone="folks libfolks-libsocialweb">
+            <primary sortas="c-libfolks-libsocialweb">libfolks-libsocialweb.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libfolks">
+        <term><filename class="libraryfile">libfolks.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>Folks</application> API functions.
+          </para>
+          <indexterm zone="folks libfolks">
+            <primary sortas="c-libfolks">libfolks.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libfolks-telepathy">
+        <term><filename class="libraryfile">libfolks-telepathy.so</filename></term>
+        <listitem>
+          <para>
+            contains Telepathy specific implementations of the libfolks classes.
+          </para>
+          <indexterm zone="folks libfolks-telepathy">
+            <primary sortas="c-libfolks-telepathy">libfolks-telepathy.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libfolks-tracker">
+        <term><filename class="libraryfile">libfolks-tracker.so</filename></term>
+        <listitem>
+          <para>
+            contains Tracker specific implementations of the libfolks classes.
+          </para>
+          <indexterm zone="folks libfolks-tracker">
+            <primary sortas="c-libfolks-tracker">libfolks-tracker.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>