Index: general.ent
===================================================================
--- general.ent	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ general.ent	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "28">                   <!-- Always 2 digits -->
+<!ENTITY day          "29">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 28th, &year;">
+<!ENTITY releasedate  "December 29th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libarchive.xml
===================================================================
--- general/genlib/libarchive.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ general/genlib/libarchive.xml	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -7,8 +7,8 @@
   <!ENTITY libarchive-download-http "https://github.com/libarchive/libarchive/releases/download/v&libarchive-version;/libarchive-&libarchive-version;.tar.xz">
   <!ENTITY libarchive-download-ftp  " ">
-  <!ENTITY libarchive-md5sum        "131df99708359ff05c6afb1d7ab8b585">
-  <!ENTITY libarchive-size          "4.6 MB">
+  <!ENTITY libarchive-md5sum        "1f8c29149832baff8bae232fd2f9b0ec">
+  <!ENTITY libarchive-size          "4.7 MB">
   <!ENTITY libarchive-buildsize     "40 MB (add 29 MB for tests)">
-  <!ENTITY libarchive-time          "0.3 SBU (add 0.9 SBU for tests)">
+  <!ENTITY libarchive-time          "0.3 SBU (add 1.0 SBU for tests)">
 ]>
 
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ general/graphlib/harfbuzz.xml	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -8,7 +8,7 @@
            "https://github.com/harfbuzz/harfbuzz/releases/download/&harfbuzz-version;/harfbuzz-&harfbuzz-version;.tar.xz">
   <!ENTITY harfbuzz-download-ftp  " ">
-  <!ENTITY harfbuzz-md5sum        "ca494256b731a4ceaf6d44ed832226bd">
-  <!ENTITY harfbuzz-size          "8.9 MB">
-  <!ENTITY harfbuzz-buildsize     "199 MB (add 21 MB for tests)">
+  <!ENTITY harfbuzz-md5sum        "eebccef549722947fda536270057936f">
+  <!ENTITY harfbuzz-size          "8.3 MB">
+  <!ENTITY harfbuzz-buildsize     "201 MB (add 20 MB for tests)">
   <!ENTITY harfbuzz-time          "0.4 SBU (Using parallelism=4; add 0.4 SBU for tests)">
 ]>
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ general/prog/doxygen.xml	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -7,8 +7,8 @@
   <!ENTITY doxygen-download-http "http://doxygen.nl/files/doxygen-&doxygen-version;.src.tar.gz">
   <!ENTITY doxygen-download-ftp  " ">
-  <!ENTITY doxygen-md5sum        "8729936a843232a66fe970ef65f3c3e4">
+  <!ENTITY doxygen-md5sum        "aae07b29b31da5ce1e6e01a57a6e4f10">
   <!ENTITY doxygen-size          "4.9 MB">
-  <!ENTITY doxygen-buildsize     "182 MB (with tests)">
-  <!ENTITY doxygen-time          "1.3 SBU (using parallelism=4; with tests)">
+  <!ENTITY doxygen-buildsize     "158 MB (with tests)">
+  <!ENTITY doxygen-time          "1.0 SBU (using parallelism=4; with tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ introduction/welcome/changelog.xml	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -43,4 +43,34 @@
     -->
     <listitem>
+      <para>December 29th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to doxygen-1.9.0. Fixes
+          <ulink url="&blfs-ticket-root;14439">#14439</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xterm-363. Fixes
+          <ulink url="&blfs-ticket-root;14436">#14436</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libarchive-3.5.1. Fixes
+          <ulink url="&blfs-ticket-root;14435">#14435</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mpg123-1.26.4. Fixes
+          <ulink url="&blfs-ticket-root;14434">#14434</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to harfbuzz-2.7.3. Fixes
+          <ulink url="&blfs-ticket-root;14431">#14431</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to dash-0.5.11.3. Fixes
+          <ulink url="&blfs-ticket-root;14430">#14430</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 28th, 2020</para>
       <itemizedlist>
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ multimedia/audioutils/mpg123.xml	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -7,5 +7,5 @@
   <!ENTITY mpg123-download-http "&sourceforge-dl;/mpg123/mpg123-&mpg123-version;.tar.bz2">
   <!ENTITY mpg123-download-ftp  " ">
-  <!ENTITY mpg123-md5sum        "2cd73024aafe4873f691ae8c889c7692">
+  <!ENTITY mpg123-md5sum        "af2471bad7c59ebf5d3e8e0be1798375">
   <!ENTITY mpg123-size          "1.0 MB">
   <!ENTITY mpg123-buildsize     "16 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ packages.ent	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -127,5 +127,5 @@
 <!ENTITY keyutils-version             "1.6.1">
 <!ENTITY libaio-version               "0.3.112">
-<!ENTITY libarchive-version           "3.5.0">
+<!ENTITY libarchive-version           "3.5.1">
 <!ENTITY libassuan-version            "2.5.4">
 <!ENTITY libatasmart-version          "0.19">
@@ -212,5 +212,5 @@
 <!ENTITY glm-version                  "0.9.9.8">
 <!ENTITY graphite2-version            "1.3.14">
-<!ENTITY harfbuzz-version             "2.7.2">
+<!ENTITY harfbuzz-version             "2.7.3">
 <!--<!ENTITY ijs-version                  "0.35">-->
 <!ENTITY jasper-version               "2.0.14">
@@ -331,5 +331,5 @@
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">
-<!ENTITY doxygen-version              "1.8.20">
+<!ENTITY doxygen-version              "1.9.0">
 <!ENTITY elfutils-version             "0.170">
 <!ENTITY expect-version               "5.45.4">
@@ -701,5 +701,5 @@
 <!ENTITY xorg-server-version          "1.20.10">
 <!ENTITY twm-version                  "1.0.11">
-<!ENTITY xterm-version                "362">
+<!ENTITY xterm-version                "363">
 <!ENTITY xclock-version               "1.0.9">
 <!ENTITY xinit-version                "1.4.1">
@@ -1018,5 +1018,5 @@
 
 <!-- Chapter 43 -->
-<!ENTITY mpg123-version               "1.26.3">
+<!ENTITY mpg123-version               "1.26.4">
 <!ENTITY vorbistools-version          "1.4.0">
 <!ENTITY lame-version                 "3.100">
Index: postlfs/shells/dash.xml
===================================================================
--- postlfs/shells/dash.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ postlfs/shells/dash.xml	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -7,7 +7,7 @@
   <!ENTITY dash-download-http "http://gondor.apana.org.au/~herbert/dash/files/dash-&dash-version;.tar.gz">
   <!ENTITY dash-download-ftp  " ">
-  <!ENTITY dash-md5sum        "b9b71c72e40fdc4db9b4ffb81fc3bebc">
+  <!ENTITY dash-md5sum        "c7016b513f701d88c70b3082eb183581">
   <!ENTITY dash-size          "240 KB">
-  <!ENTITY dash-buildsize     "3.0 MB">
+  <!ENTITY dash-buildsize     "3.7 MB">
   <!ENTITY dash-time          "less than 0.1 SBU">
 ]>
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision 51718d1f7c8772a64a47e25701d662755850d213)
+++ x/installing/xterm.xml	(revision 65906ddaa0efef7153695c60c2b7ad1a1e298183)
@@ -8,5 +8,5 @@
   <!--<!ENTITY xterm-download-ftp  "ftp://invisible-island.net/xterm/xterm-&xterm-version;.tgz">-->
   <!ENTITY xterm-download-ftp  " ">
-  <!ENTITY xterm-md5sum        "ee6710bbbe18000236c6e6d7b55b54d5">
+  <!ENTITY xterm-md5sum        "81e2d19bd74288f4ddd2476b466c3269">
   <!ENTITY xterm-size          "1.4 MB">
   <!ENTITY xterm-buildsize     "14 MB">