Index: general.ent
===================================================================
--- general.ent	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ general.ent	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "08">                   <!-- Always 2 digits -->
 <!ENTITY year         "2015">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS systemd Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "August 5th, &year;">
+<!ENTITY releasedate  "August 7th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "systemd">                  <!-- svn|[release #] -->
Index: general/genlib/libunistring.xml
===================================================================
--- general/genlib/libunistring.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ general/genlib/libunistring.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -7,8 +7,8 @@
   <!ENTITY libunistring-download-http "http://ftp.gnu.org/gnu/libunistring/libunistring-&libunistring-version;.tar.xz">
   <!ENTITY libunistring-download-ftp  "ftp://ftp.gnu.org/gnu/libunistring/libunistring-&libunistring-version;.tar.xz">
-  <!ENTITY libunistring-md5sum        "6f8766d0b0497380d725639e19c04310">
-  <!ENTITY libunistring-size          "1.8 MB">
-  <!ENTITY libunistring-buildsize     "45 MB">
-  <!ENTITY libunistring-time          "0.9 SBU">
+  <!ENTITY libunistring-md5sum        "cb09c398020c27edac10ca590e9e9ef3">
+  <!ENTITY libunistring-size          "1.9 MB">
+  <!ENTITY libunistring-buildsize     "76 MB">
+  <!ENTITY libunistring-time          "1.4 SBU">
 ]>
 
@@ -134,5 +134,6 @@
         </seg>
         <seg>
-          /usr/share/doc/libunistring-&libunistring-version; and
+          /usr/include/unistring,
+          /usr/share/doc/libunistring-&libunistring-version;, and
           /usr/share/libunistring
         </seg>
Index: general/prog/llvm.xml
===================================================================
--- general/prog/llvm.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ general/prog/llvm.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -7,16 +7,16 @@
   <!ENTITY llvm-download-http "http://llvm.org/releases/&llvm-version;/llvm-&llvm-version;.src.tar.xz">
   <!ENTITY llvm-download-ftp  " ">
-  <!ENTITY llvm-md5sum        "ebf9e97be405ae126e134d3a357cd58a">
+  <!ENTITY llvm-md5sum        "0c1ee3597d75280dee603bae9cbf5cc2">
   <!ENTITY llvm-size          "13 MB">
-  <!ENTITY llvm-buildsize     "1.4 GB (with Clang)">
-  <!ENTITY llvm-time          "48 SBU (with Clang)">
+  <!ENTITY llvm-buildsize     "1.5 GB (with Clang)">
+  <!ENTITY llvm-time          "51 SBU (with Clang)">
 
   <!ENTITY clang-download-http "http://llvm.org/releases/&llvm-version;/cfe-&llvm-version;.src.tar.xz">
-  <!ENTITY clang-md5sum        "9ff6811757735051f8651833b22ae014">
-  <!ENTITY clang-size          "8.3 MB">
+  <!ENTITY clang-md5sum        "ff862793682f714bb7862325b9c06e20">
+  <!ENTITY clang-size          "8.4 MB">
 
   <!ENTITY rt-version                "&llvm-version;">
   <!ENTITY compiler-rt-download-http "http://llvm.org/releases/&rt-version;/compiler-rt-&rt-version;.src.tar.xz">
-  <!ENTITY compiler-rt-md5sum        "6f204b1feb324b1672ac907b32d927c0">
+  <!ENTITY compiler-rt-md5sum        "e3bc4eb7ba8c39a6fe90d6c988927f3c">
   <!ENTITY compiler-rt-size          "1.1 MB">
 ]>
@@ -248,5 +248,5 @@
 
     <para>
-      <command>sed -e ... Makefile.config.in</command>: This sed fixes
+      <command>sed -e ... Makefile.config.in</command>: This sed fixes the
       location of the installed documentation.
     </para>
@@ -268,11 +268,12 @@
       <parameter>--enable-shared</parameter>: This switch enables
       building of the <application>LLVM</application> shared
-      library which contains all of static libraries linked into
+      library which contains all of the static libraries linked into a
       single library.
     </para>
 
     <para>
-      <parameter>--disable-assertions</parameter>: Disable some compile checks,
-      not necessary on a production system.
+      <parameter>--disable-assertions</parameter>: This switch disables some
+      additional compile checks which are not neccessary on a production
+      system.
     </para>
 
@@ -457,5 +458,5 @@
         <listitem>
           <para>
-            tool used to manipulate archived DWARF debug symbol files,
+            is a tool used to manipulate archived DWARF debug symbol files,
             compatible with the Darwin command <command>dsymutil</command>.
           </para>
Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ general/sysutils/unrar.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -7,7 +7,7 @@
   <!ENTITY unrar-download-http "http://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "0c145e1ac47d428553123462c0740279">
-  <!ENTITY unrar-size          "216 KB">
-  <!ENTITY unrar-buildsize     "2.1 MB">
+  <!ENTITY unrar-md5sum        "9b6b0aeffa089a968dd62f77b99cfd37">
+  <!ENTITY unrar-size          "220 KB">
+  <!ENTITY unrar-buildsize     "2.3 MB">
   <!ENTITY unrar-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ introduction/welcome/changelog.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -45,4 +45,34 @@
 -->
     <listitem>
+      <para>August 7th, 2015</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to xfsprogs-3.2.4.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to mdadm-3.3.4.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to whois-5.2.10.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to LLVM-3.6.2.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to unrar-5.3.2.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to nano-2.4.2.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to ed-1.12.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libunistring-0.9.6.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>August 5th, 2015</para>
       <itemizedlist>
Index: networking/netutils/whois.xml
===================================================================
--- networking/netutils/whois.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ networking/netutils/whois.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -7,7 +7,7 @@
   <!ENTITY whois-download-http "http://ftp.debian.org/debian/pool/main/w/whois/whois_&whois-version;.tar.xz">
   <!ENTITY whois-download-ftp  "ftp://ftp.debian.org/debian/pool/main/w/whois/whois_&whois-version;.tar.xz">
-  <!ENTITY whois-md5sum        "6bb5bf65bc24f1dc60059f69a930015c">
+  <!ENTITY whois-md5sum        "5ccd01e611621f7a395537f8b7190d0a">
   <!ENTITY whois-size          "80 KB">
-  <!ENTITY whois-buildsize     "1.7 MB">
+  <!ENTITY whois-buildsize     "1.4 MB">
   <!ENTITY whois-time          "less than 0.1 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ packages.ent	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -43,5 +43,5 @@
 <!ENTITY jfsutils-version             "1.1.15">
 <!ENTITY lvm2-version                 "2.02.122">
-<!ENTITY mdadm-version                "3.3.2">
+<!ENTITY mdadm-version                "3.3.4">
 <!ENTITY ntfs-3g-version              "2015.3.14">
 <!ENTITY gptfdisk-version             "1.0.0">
@@ -49,12 +49,12 @@
 <!ENTITY reiser-version               "3.6.24">
 <!ENTITY sshfs-fuse-version           "2.5">
-<!ENTITY xfsprogs-version             "3.2.3">
+<!ENTITY xfsprogs-version             "3.2.4">
 
 <!-- Chapter 6 -->
 <!ENTITY bluefish-version             "2.2.7">
-<!ENTITY ed-version                   "1.11">
+<!ENTITY ed-version                   "1.12">
 <!ENTITY emacs-version                "24.5">
 <!ENTITY joe-version                  "4.0">
-<!ENTITY nano-version                 "2.4.1">
+<!ENTITY nano-version                 "2.4.2">
 <!ENTITY vim-version                  "7.4">
 
@@ -128,5 +128,5 @@
 <!ENTITY libsigsegv-version           "2.10">
 <!ENTITY libtasn1-version             "4.5">
-<!ENTITY libunistring-version         "0.9.5">
+<!ENTITY libunistring-version         "0.9.6">
 <!ENTITY libusb-version               "1.0.19">
 <!ENTITY libusb-compat-version        "0.1.5">
@@ -236,5 +236,5 @@
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.1.5">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "5.2.7">
+<!ENTITY unrar-version                "5.3.2">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "0.9.23">
@@ -261,5 +261,5 @@
 <!ENTITY guile-version                "2.0.11">
 <!ENTITY librep-version               "0.92.5">
-<!ENTITY llvm-version                 "3.6.1">
+<!ENTITY llvm-version                 "3.6.2">
 <!ENTITY lua-version                  "5.2.4">
 <!ENTITY mercurial-version            "3.4.1">
@@ -365,5 +365,5 @@
 <!ENTITY nmap-version                 "6.47">
 <!ENTITY traceroute-version           "2.0.21">
-<!ENTITY whois-version                "5.2.9">
+<!ENTITY whois-version                "5.2.10">
 <!ENTITY wicd-version                 "1.7.3">
 <!ENTITY wireshark-version            "1.12.6">  <!-- even minors only -->
Index: postlfs/editors/ed.xml
===================================================================
--- postlfs/editors/ed.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ postlfs/editors/ed.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -7,7 +7,7 @@
   <!ENTITY ed-download-http "http://ftp.gnu.org/pub/gnu/ed/ed-&ed-version;.tar.lz">
   <!ENTITY ed-download-ftp  "ftp://ftp.gnu.org/pub/gnu/ed/ed-&ed-version;.tar.lz">
-  <!ENTITY ed-md5sum        "891635e76c661611bfb7e963bde38856">
+  <!ENTITY ed-md5sum        "67c96fc79c29e86fb8002759c4a20e16">
   <!ENTITY ed-size          "64 KB">
-  <!ENTITY ed-buildsize     "1.2 MB">
+  <!ENTITY ed-buildsize     "1.4 MB">
   <!ENTITY ed-time          "less than 0.1 SBU">
 ]>
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ postlfs/editors/nano.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -7,7 +7,7 @@
   <!ENTITY nano-download-http "http://ftp.gnu.org/gnu/nano/nano-&nano-version;.tar.gz">
   <!ENTITY nano-download-ftp  "ftp://ftp.gnu.org/gnu/nano/nano-&nano-version;.tar.gz">
-  <!ENTITY nano-md5sum        "1c612b478f976abf8ef926480c7a3684">
-  <!ENTITY nano-size          "1.9 MB">
-  <!ENTITY nano-buildsize     "13 MB">
+  <!ENTITY nano-md5sum        "ce6968992fec4283c17984b53554168b">
+  <!ENTITY nano-size          "1.8 MB">
+  <!ENTITY nano-buildsize     "11 MB">
   <!ENTITY nano-time          "less than 0.1 SBU">
 ]>
Index: postlfs/filesystems/mdadm.xml
===================================================================
--- postlfs/filesystems/mdadm.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ postlfs/filesystems/mdadm.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -7,7 +7,7 @@
   <!ENTITY mdadm-download-http "&kernel;linux/utils/raid/mdadm/mdadm-&mdadm-version;.tar.xz">
   <!ENTITY mdadm-download-ftp " ">
-  <!ENTITY mdadm-md5sum        "44698d351501cac6a89072dc877eb220">
-  <!ENTITY mdadm-size          "402 KB">
-  <!ENTITY mdadm-buildsize     "8.3 MB">
+  <!ENTITY mdadm-md5sum        "7ca8b114710f98f53f20c5787b674a09">
+  <!ENTITY mdadm-size          "404 KB">
+  <!ENTITY mdadm-buildsize     "8 MB">
   <!ENTITY mdadm-time          "less than 0.1 SBU">
 ]>
@@ -104,5 +104,7 @@
     RAID and that a version of mdadm is not already running, and issue:
     <command>make test</command> and then, as the
-    <systemitem class="username">root</systemitem> user: ./test</para>
+    <systemitem class="username">root</systemitem> user:
+    <command>./test --keep-going --logdir=tests-logs --save-logs</command>.
+    Some tests fail for unknown reasons.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -119,4 +121,25 @@
     also versions of <command>mdassemble</command>. These all need to be manually
     installed.
+    </para>
+
+    <para>
+      <parameter>--keep-going</parameter>: Run the tests to the end, even if one
+      or more tests fail.
+    </para>
+
+    <para>
+      <parameter>--logdir=tests-logs</parameter>: Defines that the directory
+      where tests logs are saved.
+    </para>
+
+    <para>
+      <parameter>--save-logs</parameter>:
+      Instructs the test suite to save the logs.
+    </para>
+
+    <para>
+      <option>--tests=<replaceable>&lt;test1,test2,...&gt;</replaceable></option>:
+      Optional comma separated list of tests to be executed
+      (all tests, if this option is not passed).
     </para>
 
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision 39384203e4319c4ef2e9a08c4e214243dea29b76)
+++ postlfs/filesystems/xfsprogs.xml	(revision 66307ffa73232ee9e60d89e59724243df2f5acac)
@@ -8,8 +8,8 @@
   <!ENTITY xfsprogs-download-http " ">
   <!ENTITY xfsprogs-download-ftp  "ftp://oss.sgi.com/projects/xfs/cmd_tars/xfsprogs-&xfsprogs-version;.tar.gz">
-  <!ENTITY xfsprogs-md5sum        "9f383e36682709e62b12c125e5d8b895">
-  <!ENTITY xfsprogs-size          "1.5 MB">
-  <!ENTITY xfsprogs-buildsize     "61 MB">
-  <!ENTITY xfsprogs-time          "0.5 SBU">
+  <!ENTITY xfsprogs-md5sum        "c28db88f058ada506fe0ac6a897a1c42">
+  <!ENTITY xfsprogs-size          "1.4 MB">
+  <!ENTITY xfsprogs-buildsize     "34 MB">
+  <!ENTITY xfsprogs-time          "0.6 SBU">
 ]>
 