Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ gnome/platform/vte.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/editors/mousepad.xml
===================================================================
--- postlfs/editors/mousepad.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ postlfs/editors/mousepad.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/dm/lightdm.xml
===================================================================
--- x/dm/lightdm.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ x/dm/lightdm.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Lightdm Package Information</bridgehead>
Index: xfce/apps/parole.xml
===================================================================
--- xfce/apps/parole.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/apps/parole.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <note>
Index: xfce/apps/ristretto.xml
===================================================================
--- xfce/apps/ristretto.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/apps/ristretto.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfburn.xml
===================================================================
--- xfce/apps/xfburn.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/apps/xfburn.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-notifyd.xml
===================================================================
--- xfce/apps/xfce4-notifyd.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/apps/xfce4-notifyd.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/xfce4-terminal.xml
===================================================================
--- xfce/apps/xfce4-terminal.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/apps/xfce4-terminal.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/exo.xml
===================================================================
--- xfce/core/exo.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/exo.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/garcon.xml
===================================================================
--- xfce/core/garcon.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/garcon.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4ui.xml
===================================================================
--- xfce/core/libxfce4ui.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/libxfce4ui.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/libxfce4util.xml
===================================================================
--- xfce/core/libxfce4util.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/libxfce4util.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar-volman.xml
===================================================================
--- xfce/core/thunar-volman.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/thunar-volman.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/thunar.xml
===================================================================
--- xfce/core/thunar.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/thunar.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -41,5 +41,5 @@
     Nautilus).-->
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/tumbler.xml
===================================================================
--- xfce/core/tumbler.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/tumbler.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-appfinder.xml
===================================================================
--- xfce/core/xfce4-appfinder.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/xfce4-appfinder.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-panel.xml
===================================================================
--- xfce/core/xfce4-panel.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/xfce4-panel.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-power-manager.xml
===================================================================
--- xfce/core/xfce4-power-manager.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/xfce4-power-manager.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-session.xml
===================================================================
--- xfce/core/xfce4-session.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/xfce4-session.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfce4-settings.xml
===================================================================
--- xfce/core/xfce4-settings.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/xfce4-settings.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfconf.xml
===================================================================
--- xfce/core/xfconf.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/xfconf.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfdesktop.xml
===================================================================
--- xfce/core/xfdesktop.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/xfdesktop.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/core/xfwm4.xml
===================================================================
--- xfce/core/xfwm4.xml	(revision 380306549cd448f29d28166721c8e998ede3f4a2)
+++ xfce/core/xfwm4.xml	(revision 66544f2cd4320f7b8cd885c73f9cc542ba87c1f3)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs110a_checked;
+    &lfs111_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>