Index: general/graphlib/babl.xml
===================================================================
--- general/graphlib/babl.xml	(revision 7a00c50e3c1216ee14aa34f2daccf05286537362)
+++ general/graphlib/babl.xml	(revision 67033e544f62ba061c565402654b9e805b0e559d)
@@ -5,6 +5,8 @@
   %general-entities;
 
-  <!ENTITY babl-download-http "http://gd.tuwien.ac.at/graphics/gimp/babl/0.1//babl-&babl-version;.tar.bz2">
-  <!ENTITY babl-download-ftp  "ftp://ftp.gimp.org/pub/babl/0.1//babl-&babl-version;.tar.bz2">
+  <!ENTITY babl-download-http
+  "http://gd.tuwien.ac.at/graphics/gimp/babl/0.1//babl-&babl-version;.tar.bz2">
+  <!ENTITY babl-download-ftp
+  "ftp://ftp.gimp.org/pub/babl/0.1//babl-&babl-version;.tar.bz2">
   <!ENTITY babl-md5sum        "dc960981a5ec5330fc1c177be9f59068">
   <!ENTITY babl-size          "452 KB">
@@ -28,8 +30,10 @@
 
   <sect2 role="package">
-    <title>Introduction to babl</title>
+    <title>Introduction to Babl</title>
 
-    <para>The <application>babl</application>package is a dynamic, any to any,
-    pixel format translation library.</para>
+    <para>
+      The <application>Babl</application> package is a dynamic, any to any,
+      pixel format translation library.
+    </para>
 
     &lfs71_checked;
@@ -38,49 +42,71 @@
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&babl-download-http;"/></para>
+        <para>
+          Download (HTTP): <ulink url="&babl-download-http;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download (FTP): <ulink url="&babl-download-ftp;"/></para>
+        <para>
+          Download (FTP): <ulink url="&babl-download-ftp;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download MD5 sum: &babl-md5sum;</para>
+        <para>
+          Download MD5 sum: &babl-md5sum;
+        </para>
       </listitem>
       <listitem>
-        <para>Download size: &babl-size;</para>
+        <para>
+          Download size: &babl-size;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated disk space required: &babl-buildsize;</para>
+        <para>
+          Estimated disk space required: &babl-buildsize;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated build time: &babl-time;</para>
+        <para>
+          Estimated build time: &babl-time;
+        </para>
       </listitem>
     </itemizedlist>
 
-    <bridgehead renderas="sect3">babl Dependencies</bridgehead>
+    <bridgehead renderas="sect3">Babl Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="pkgconfig"/></para>
+    <para role="recommended">
+      <xref linkend="pkgconfig"/>
+    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="gobject-introspection"/>
-    <ulink url="http://ftp.gnome.org/pub/gnome/sources/vala/">vala</ulink></para>
+    <para role="optional">
+      <xref linkend="gobject-introspection"/> and
+      <ulink url="http://ftp.gnome.org/pub/gnome/sources/vala/">vala</ulink>
+    </para>
 
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url='&blfs-wiki;/babl'/></para>
-
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url='&blfs-wiki;/babl'/>
+    </para>
   </sect2>
 
   <sect2 role="installation">
-    <title>Installation of babl</title>
+    <title>Installation of Babl</title>
 
-    <para>Install <application>babl</application> by running the following
-    commands:</para>
+    <para>
+      Install <application>Babl</application> by running the following commands:
+    </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>sed -i 's#DBABL_IS_BEING_COMPILED#&amp; -lgmodule-2.0#' babl/Makefile.in &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install &amp;&amp;
@@ -89,5 +115,4 @@
 install -v -m644 docs/graphics/*.{html,png,svg} /usr/share/gtk-doc/html/babl/graphics
 </userinput></screen>
-
   </sect2>
 
@@ -95,14 +120,25 @@
     <title>Command Explanations</title>
 
-    <para><parameter>install -v -m755 -d /usr/share/gtk-doc/html/babl/graphics</parameter>:
-    This and the subsequent commands install the library html documentation
-    under <filename class="directory">/usr/share/gtk-doc/html</filename> where
-    other gtk packages put the programmer-oriented documentation.</para>
+    <para>
+      <command>sed -i 's#DBABL_IS_BEING_COMPILED#&amp; -lgmodule-2.0#'
+      babl/Makefile.in</command>: This sed fixes compiling when both
+      <application>Glib-2.32</application> and
+      <xref linkend="gobject-introspection"/> are installed.
+    </para>
 
-    <para><option>--with-vala</option>: Use <command>vapigen</command>
-    so that <application>vala</application> programs can use this application -
-    not enabled by default, may cause breakage when building
-    <application>gegl</application>.</para>
+    <para>
+      <parameter>install -v -m755 -d
+      /usr/share/gtk-doc/html/babl/graphics</parameter>: This and the subsequent
+      commands install the library html documentation under
+      <filename class="directory">/usr/share/gtk-doc/html</filename> where other
+      gtk packages put the programmer-oriented documentation.
+    </para>
 
+    <para>
+      <option>--with-vala</option>: Use <command>vapigen</command> so that
+      <application>vala</application> programs can use this application - not
+      enabled by default, may cause breakage when building
+      <application>gegl</application>.
+    </para>
   </sect2>
 
@@ -111,10 +147,8 @@
 
     <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>None</seg>
         <seg>libbabl.so, and libraries in /usr/lib/babl-0.1/</seg>
         <seg>/usr/include/babl-0.1/</seg>
@@ -130,6 +164,7 @@
         <term><filename class='libraryfile'>libbabl.so</filename></term>
         <listitem>
-          <para>contains functions to access BablFishes to convert between
-          formats.</para>
+          <para>
+            contains functions to access BablFishes to convert between formats.
+          </para>
           <indexterm zone="babl libbabl">
             <primary sortas="c-libbabl">libbabl.so</primary>
@@ -137,8 +172,5 @@
         </listitem>
       </varlistentry>
-
     </variablelist>
-
   </sect2>
-
 </sect1>