Index: general.ent
===================================================================
--- general.ent	(revision 05a757b5b45874b1d11fcc5a76bbeec04af7df1e)
+++ general.ent	(revision 67106a3d6198480fb88db0cfaff2ca30081378dc)
@@ -707,4 +707,5 @@
 <!ENTITY brasero-version              "3.2.0">
 <!ENTITY empathy-version              "3.2.2">
+<!ENTITY eog-version                  "3.2.2">
 <!ENTITY gnome-terminal-version       "2.30.2">
 <!ENTITY nautilus-version             "2.30.1">
@@ -742,5 +743,4 @@
 <!ENTITY deskbar-applet-version       "2.30.1">
 <!ENTITY ekiga-version                "3.2.7">
-<!ENTITY eog-version                  "2.30.2">
 <!ENTITY epiphany-version             "2.30.2">
 <!ENTITY evince-version               "2.30.2">
Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision 05a757b5b45874b1d11fcc5a76bbeec04af7df1e)
+++ gnome/add/add.xml	(revision 67106a3d6198480fb88db0cfaff2ca30081378dc)
@@ -42,5 +42,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="deskbar-applet.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ekiga.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="eog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="epiphany.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="evince.xml"/>
Index: ome/add/eog.xml
===================================================================
--- gnome/add/eog.xml	(revision 05a757b5b45874b1d11fcc5a76bbeec04af7df1e)
+++ 	(revision )
@@ -1,156 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-version;/eog-&eog-version;.tar.bz2">
-  <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-version;/eog-&eog-version;.tar.bz2">
-  <!ENTITY eog-md5sum        "2f7fdf9392f24229fd82c53e8465f998">
-  <!ENTITY eog-size          "2.7 MB">
-  <!ENTITY eog-buildsize     "47 MB">
-  <!ENTITY eog-time          "0.6 SBU">
-]>
-
-<sect1 id="eog" xreflabel="EOG-&eog-version;">
-  <?dbhtml filename="eog.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>EOG-&eog-version;</title>
-
-  <indexterm zone="eog">
-    <primary sortas="a-EOG">EOG</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to EOG</title>
-
-    <para>The <application>EOG</application> package contains Eye of
-    <application>GNOME</application>. This is useful for viewing and
-    cataloging image files.</para>
-
-    &lfs65_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&eog-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&eog-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &eog-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &eog-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &eog-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &eog-time;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">EOG Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="gnome-desktop"/>,
-    <xref linkend="gnome-icon-theme"/>, and
-    <xref linkend="shared-mime-info"/></para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended"><xref linkend="libjpeg"/></para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><ulink
-    url="http://libopenraw.freedesktop.org/wiki/Exempi">Exempi</ulink>,
-    <xref linkend="libexif"/>,
-    <xref linkend="lcms"/>, and
-    <xref linkend="pygtk"/></para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/eog"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of EOG</title>
-
-    <para>Install <application>EOG</application> by running the
-    following commands:</para>
-
-<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
-            --sysconfdir=&gnome-etc-dir; \
-            --localstatedir=/var/lib &amp;&amp;
-make</userinput></screen>
-
-    <para>This package does not come with a test suite.</para>
-
-    <para>Now, as the <systemitem class='username'>root</systemitem> user:</para>
-
-<screen role='root'><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-prefix.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/gnome-sysconfdir.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../../xincludes/scrollkeeper-dir.xml"/>
-
-    <para><option>--without-libjpeg</option>: This option disables special JPEG
-    support.</para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>eog</seg>
-        <seg>libfullscreen.so and libreload.so (plugins)</seg>
-        <seg><envar>$GNOME_PREFIX</envar>/{include/eog-2.20/eog,lib/eog/plugins,
-        share/{eog/{icons/hicolor/{16x16/actions,22x22/actions,24x24/actions,
-        32x32/actions,48x48/actions,scalable/actions},pixmaps},gnome/help/eog/*,
-        gtk-doc/html/eog,omf/eog}}</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="eog-prog">
-        <term><command>eog</command></term>
-        <listitem>
-          <para>is a fast and functional image viewer as well as an
-          image cataloging program.</para>
-          <indexterm zone="eog eog-prog">
-            <primary sortas="b-eog">eog</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: gnome/core/core.xml
===================================================================
--- gnome/core/core.xml	(revision 05a757b5b45874b1d11fcc5a76bbeec04af7df1e)
+++ gnome/core/core.xml	(revision 67106a3d6198480fb88db0cfaff2ca30081378dc)
@@ -96,6 +96,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="brasero.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="empathy.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="eog.xml"/>
   <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="epiphany.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="eog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="evince.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gcalctool.xml"/>
Index: gnome/core/eog.xml
===================================================================
--- gnome/core/eog.xml	(revision 67106a3d6198480fb88db0cfaff2ca30081378dc)
+++ gnome/core/eog.xml	(revision 67106a3d6198480fb88db0cfaff2ca30081378dc)
@@ -0,0 +1,158 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-version;/eog-&eog-version;.tar.xz">
+  <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-version;/eog-&eog-version;.tar.xz">
+  <!ENTITY eog-md5sum        "66d2c1d8d250a37e18f3fbf696642214">
+  <!ENTITY eog-size          "?? MB">
+  <!ENTITY eog-buildsize     "?? MB">
+  <!ENTITY eog-time          "?? SBU">
+]>
+
+<sect1 id="eog" xreflabel="EOG-&eog-version;">
+  <?dbhtml filename="eog.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>EOG-&eog-version;</title>
+
+  <indexterm zone="eog">
+    <primary sortas="a-EOG">EOG</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to EOG</title>
+
+    <para>The <application>EOG</application> package contains Eye of
+    <application>GNOME</application>. This is useful for viewing and
+    cataloging image files.</para>
+
+    <!-- &lfs65_checked; not this version! -->
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&eog-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&eog-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &eog-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &eog-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &eog-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &eog-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">EOG Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="gnome-desktop"/>,
+    <xref linkend="gnome-icon-theme"/>,
+    <!-- FIXME:ken
+    <xref linkend="libpeas"/>, and -->
+    libpeas-1.2.0, and
+    <xref linkend="shared-mime-info"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="libjpeg"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="exempi"/>,
+    <xref linkend="libexif"/>,
+    <xref linkend="lcms"/>, and
+    <xref linkend="pygtk"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/eog"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of EOG</title>
+
+    <para>Install <application>EOG</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=$GNOME_PREFIX \
+            --sysconfdir=$GNOME_SYSCONFDIR \
+            --localstatedir=/var/lib &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class='username'>root</systemitem> user:</para>
+
+<screen role='root'><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gnome-prefix.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gnome-sysconfdir.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/scrollkeeper-dir.xml"/>
+
+    <para><option>--without-libjpeg</option>: This option disables special JPEG
+    support.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>eog</seg>
+        <seg>libfullscreen.so and libreload.so (plugins)</seg>
+        <seg><envar>$GNOME_PREFIX</envar>/{include/eog-2.20/eog,lib/eog/plugins,
+        share/{eog/{icons/hicolor/{16x16/actions,22x22/actions,24x24/actions,
+        32x32/actions,48x48/actions,scalable/actions},pixmaps},gnome/help/eog/*,
+        gtk-doc/html/eog,omf/eog}}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="eog-prog">
+        <term><command>eog</command></term>
+        <listitem>
+          <para>is a fast and functional image viewer as well as an
+          image cataloging program.</para>
+          <indexterm zone="eog eog-prog">
+            <primary sortas="b-eog">eog</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 05a757b5b45874b1d11fcc5a76bbeec04af7df1e)
+++ introduction/welcome/changelog.xml	(revision 67106a3d6198480fb88db0cfaff2ca30081378dc)
@@ -73,4 +73,7 @@
           <para>[ken] - merge empathy-3.2.2 from Wayne.</para>
         </listitem>
+        <listitem>
+          <para>[ken] - merge eog-3.2.2 from Wayne.</para>
+        </listitem>
       </itemizedlist>
     </listitem>