Index: general.ent
===================================================================
--- general.ent	(revision f938faf6ff925309ecf843f6610e478dee99e27f)
+++ general.ent	(revision 71398d297336414209ae0d79376b909e14814e14)
@@ -1,3 +1,3 @@
-<!ENTITY day          "07">
+<!ENTITY day          "08">
 <!ENTITY month        "08">
 <!ENTITY year         "2004">
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision f938faf6ff925309ecf843f6610e478dee99e27f)
+++ general/prog/perl-modules.xml	(revision 71398d297336414209ae0d79376b909e14814e14)
@@ -5,15 +5,12 @@
   %general-entities;
 
-<!-- <!ENTITY Gtk-Perl-version          "0.7009">
-<!ENTITY PDL-version               "2.4.0">
-<!ENTITY XML-Parser-version        "2.34">
-<!ENTITY XML-Writer-version        "0.4.1">
-<!ENTITY Astro-FITS-Header-version "2.8.1">
-<!ENTITY Parse-RecDescent-version  "1.94"> -->
-<!ENTITY LFS-Perl-version          "5.8.4">
-
+<!ENTITY LFS-Perl-version          "5.8.5">
 ]>
 
 <sect1 id="perl-modules" xreflabel="Perl modules">
+<sect1info>
+<othername>$LastChangedBy$</othername>
+<date>$Date$</date>
+</sect1info>
 <?dbhtml filename="perl-modules.html" ?>
 <title>Perl modules</title>
@@ -30,35 +27,48 @@
 <itemizedlist spacing='compact'>
 <listitem><para><ulink
-url="http://search.cpan.org/CPAN/authors/id/C/CS/CSOE/PDL-&PDL-version;.tar.gz">PDL-&PDL-version;</ulink></para><itemizedlist spacing='compact'>
+url="http://search.cpan.org/CPAN/authors/id/C/CS/CSOE/PDL-&PDL-version;.tar.gz">PDL-&PDL-version;</ulink>
+</para><itemizedlist spacing='compact'>
 
 <listitem><para><ulink
-url="http://www.cpan.org/authors/id/K/KG/KGB/ExtUtils-F77-&ExtUtils-F77-version;.tar.gz">ExtUtils-F77-&ExtUtils-F77-version;</ulink></para></listitem>
+url="http://www.cpan.org/authors/id/K/KG/KGB/ExtUtils-F77-&ExtUtils-F77-version;.tar.gz">ExtUtils-F77-&ExtUtils-F77-version;</ulink>
+</para></listitem>
 
 <listitem><para><ulink
-url="http://www.cpan.org/authors/id/I/IN/INGY/Inline-&Inline-version;.tar.gz">Inline-&Inline-version;</ulink></para><itemizedlist spacing='compact'>
+url="http://www.cpan.org/authors/id/I/IN/INGY/Inline-&Inline-version;.tar.gz">Inline-&Inline-version;</ulink>
+</para><itemizedlist spacing='compact'>
 
 <listitem><para><ulink
-url="http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/Parse-RecDescent-&Parse-RecDescent-version;.tar.gz">Parse-RecDescent-&Parse-RecDescent-version;</ulink></para></listitem></itemizedlist></listitem>
+url="http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/Parse-RecDescent-&Parse-RecDescent-version;.tar.gz">Parse-RecDescent-&Parse-RecDescent-version;</ulink>
+</para></listitem></itemizedlist></listitem>
 
 <listitem><para><ulink
-url="http://search.cpan.org/CPAN/authors/id/A/AA/AALLAN/Astro-FITS-Header-&Astro-FITS-Header-version;.tar.gz">Astro-FITS-Header-&Astro-FITS-Header-version;</ulink></para></listitem></itemizedlist></listitem>
+url="http://search.cpan.org/CPAN/authors/id/A/AA/AALLAN/Astro-FITS-Header-&Astro-FITS-Header-version;.tar.gz">Astro-FITS-Header-&Astro-FITS-Header-version;</ulink>
+</para></listitem></itemizedlist></listitem>
 
 <listitem><para><ulink
-url="http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Gtk-Perl-&Gtk-Perl-version;.tar.gz">Gtk-Perl-&Gtk-Perl-version;</ulink></para><itemizedlist spacing='compact'>
+url="http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Gtk-Perl-&Gtk-Perl-version;.tar.gz">Gtk-Perl-&Gtk-Perl-version;</ulink>
+</para><itemizedlist spacing='compact'>
 
 <listitem><para><ulink
-url="http://www.cpan.org/authors/id/J/JO/JOSEPHW/XML-Writer-&XML-Writer-version;.tar.gz">XML-Writer-&XML-Writer-version;</ulink></para></listitem>
+url="http://www.cpan.org/authors/id/J/JO/JOSEPHW/XML-Writer-&XML-Writer-version;.tar.gz">XML-Writer-&XML-Writer-version;</ulink>
+</para></listitem>
 
 <listitem><para><ulink
 url="http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/XML-Parser-&XML-Parser-version;.tar.gz">XML-Parser-&XML-Parser-version;</ulink>
-</para></listitem></itemizedlist></listitem>
+</para></listitem>
+
+<listitem><para><xref linkend="GTK"/></para>
+</listitem></itemizedlist></listitem>
 
 <listitem><para><ulink
-url="http://www.cpan.org/authors/id/D/DM/DMEGG/SGMLSpm-&SGMLSpm-version;.tar.gz">SGMLSpm-&SGMLSpm-version;</ulink></para></listitem>
+url="http://www.cpan.org/authors/id/D/DM/DMEGG/SGMLSpm-&SGMLSpm-version;.tar.gz">SGMLSpm-&SGMLSpm-version;</ulink>
+</para></listitem>
 
 <listitem><para><ulink
-url="http://www.cpan.org/authors/id/N/NI/NI-S/Tk-&Perl-Tk-version;.tar.gz">Tk-&Perl-Tk-version;</ulink></para><itemizedlist spacing='compact'>
+url="http://www.cpan.org/authors/id/N/NI/NI-S/Tk-&Perl-Tk-version;.tar.gz">Tk-&Perl-Tk-version;</ulink>
+</para><itemizedlist spacing='compact'>
 
-<listitem><para><xref linkend="tk"/> and <xref linkend="libjpeg"/></para></listitem></itemizedlist>
+<listitem><para><xref linkend="tk"/> and 
+<xref linkend="libjpeg"/></para></listitem></itemizedlist>
 </listitem></itemizedlist>
 
@@ -75,4 +85,5 @@
 <screen><userinput><command>perl Makefile.PL &amp;&amp;
 make &amp;&amp;
+make test &amp;&amp;
 make install</command></userinput></screen>
                                                                                
@@ -85,4 +96,5 @@
 <screen><userinput><command>perl Makefile.PL --without-guessing &amp;&amp;
 make &amp;&amp;
+make test &amp;&amp;
 make install</command></userinput></screen></sect3>
                                                                                
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision f938faf6ff925309ecf843f6610e478dee99e27f)
+++ introduction/welcome/changelog.xml	(revision 71398d297336414209ae0d79376b909e14814e14)
@@ -23,4 +23,7 @@
 <itemizedlist>
 
+<listitem><para>August 8th, 2004 [randy]: Minor corrections to 
+Perl Modules instructions.</para></listitem>
+
 <listitem><para>August 7th, 2004 [randy]: Updated to 
 Gimp-Print-4.2.7</para></listitem>