Index: gnome/lib/libgsf/libgsf-exp.xml
===================================================================
--- gnome/lib/libgsf/libgsf-exp.xml	(revision ceddb2a93e8947a65747c0d41346bfbb6da9b2f7)
+++ gnome/lib/libgsf/libgsf-exp.xml	(revision 72592c821901dfc3547d9ac4a964bdfe459dbab8)
@@ -2,8 +2,7 @@
 <title>Command explanations</title>
 
-<para><option>--disable-gtk-doc</option>: This switch will prevent
-the rebuilding of the <acronym>API</acronym> documentation during the
-<command>make</command> command.</para>
+<para><option>--disable-gtk-doc</option>: This switch will prevent the
+rebuilding of the <acronym>API</acronym> documentation (which is broken
+at the current state) during the <command>make</command> command.</para>
 
 </sect2>
-
Index: gnome/lib/libgsf/libgsf-intro.xml
===================================================================
--- gnome/lib/libgsf/libgsf-intro.xml	(revision ceddb2a93e8947a65747c0d41346bfbb6da9b2f7)
+++ gnome/lib/libgsf/libgsf-intro.xml	(revision 72592c821901dfc3547d9ac4a964bdfe459dbab8)
@@ -17,7 +17,14 @@
 <sect3><title><application>libgsf</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="libbonobo"/> and <xref linkend="gnome-vfs"/></para></sect4>
+<para>
+<xref linkend="GLib2"/> and
+<xref linkend="libxml2"/>
+</para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/></para></sect4>
+<para>
+<xref linkend="gnome-vfs"/>,
+<xref linkend="gtk-doc"/> (with <xref linkend="sgml-dtd-3"/> installed) and
+<ulink url="http://sources.redhat.com/docbook-tools/">docbook-utils</ulink>
+</para></sect4>
 </sect3>
 
Index: pst/sgml/docbook-dsssl/docbook-dsssl-config.xml
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl-config.xml	(revision ceddb2a93e8947a65747c0d41346bfbb6da9b2f7)
+++ pst/sgml/docbook-dsssl/docbook-dsssl-config.xml	(revision 72592c821901dfc3547d9ac4a964bdfe459dbab8)
@@ -8,5 +8,5 @@
 Book from <acronym>XML</acronym> to <acronym>HTML</acronym>:</para>
 <screen><userinput><command>ln -sf <replaceable>[your home directory]</replaceable>/BLFS/BOOK/blfs.dsl \
-/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/html/</command></userinput></screen>
+    /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/html/</command></userinput></screen>
 
 <para>If you would like to test <application>Docbook <acronym>XML</acronym>
@@ -19,9 +19,9 @@
 necessary modifications for your setup.
 <screen><userinput><command>mkdir introduction postlfs general connect basicnet server \
-content x kde gnome xsoft multimedia pst preface appendices other &amp;&amp;
+    content x kde gnome xsoft multimedia pst preface appendices other &amp;&amp;
 openjade -t sgml \
--d /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/html/blfs.dsl \
-/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/dtds/decls/xml.dcl \
-~/BLFS/BOOK/index.xml</command></userinput></screen>
+    -d /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/html/blfs.dsl \
+    /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/dtds/decls/xml.dcl \
+    ~/BLFS/BOOK/index.xml</command></userinput></screen>
 If successful you should have a <acronym>HTML</acronym>
 <acronym>BLFS</acronym> book in exactly the same
@@ -30,3 +30,2 @@
 
 </sect2>
-
Index: pst/sgml/docbook-dsssl/docbook-dsssl-exp.xml
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl-exp.xml	(revision ceddb2a93e8947a65747c0d41346bfbb6da9b2f7)
+++ pst/sgml/docbook-dsssl/docbook-dsssl-exp.xml	(revision 72592c821901dfc3547d9ac4a964bdfe459dbab8)
@@ -2,7 +2,6 @@
 <title>Command explanations</title>
 
-<para>These commands create a <command>make install</command> script
+<para>Above commands create a <command>make install</command> script
 for this package.</para>
 
 </sect2>
-
Index: pst/sgml/docbook-dsssl/docbook-dsssl-inst.xml
===================================================================
--- pst/sgml/docbook-dsssl/docbook-dsssl-inst.xml	(revision ceddb2a93e8947a65747c0d41346bfbb6da9b2f7)
+++ pst/sgml/docbook-dsssl/docbook-dsssl-inst.xml	(revision 72592c821901dfc3547d9ac4a964bdfe459dbab8)
@@ -14,5 +14,5 @@
 cp catalog VERSION /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version; &amp;&amp;
 cp dtds/decls/*.dcl \
-/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/dtds/decls &amp;&amp;
+    /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/dtds/decls &amp;&amp;
 cp lib/dblib.dsl /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/lib &amp;&amp;
 cp common/*.dsl /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/common &amp;&amp;
@@ -23,8 +23,7 @@
 cp images/*.gif /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/images &amp;&amp;
 install-catalog --add /etc/sgml/dsssl-docbook-stylesheets.cat \
-/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/catalog &amp;&amp;
+    /usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;/catalog &amp;&amp;
 install-catalog --add /etc/sgml/sgml-docbook.cat \
-/etc/sgml/dsssl-docbook-stylesheets.cat</command></userinput></screen>
+    /etc/sgml/dsssl-docbook-stylesheets.cat</command></userinput></screen>
 
 </sect2>
-