Index: general.ent
===================================================================
--- general.ent	(revision 9116137c784f3a42a3bce89b88e9db07602a0e40)
+++ general.ent	(revision 73353e7fd3fc3d402c39651f161ef9d92647c870)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "26">                   <!-- Always 2 digits -->
+<!ENTITY day          "27">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 26th, &year;">
+<!ENTITY releasedate  "March 27th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libssh2.xml
===================================================================
--- general/genlib/libssh2.xml	(revision 9116137c784f3a42a3bce89b88e9db07602a0e40)
+++ general/genlib/libssh2.xml	(revision 73353e7fd3fc3d402c39651f161ef9d92647c870)
@@ -7,8 +7,8 @@
   <!ENTITY libssh2-download-http "https://www.libssh2.org/download/libssh2-&libssh2-version;.tar.gz">
   <!ENTITY libssh2-download-ftp  " ">
-  <!ENTITY libssh2-md5sum        "338f36a8bb7f5ef55715ac1864cc788c">
-  <!ENTITY libssh2-size          "838 KB">
-  <!ENTITY libssh2-buildsize     "12 MB">
-  <!ENTITY libssh2-time          "0.1 SBU">
+  <!ENTITY libssh2-md5sum        "616efd99af3d9ef731a26bed6cee9593">
+  <!ENTITY libssh2-size          "840 KB">
+  <!ENTITY libssh2-buildsize     "12 MB (with tests)">
+  <!ENTITY libssh2-time          "0.2 SBU (with tests)">
 ]>
 
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision 9116137c784f3a42a3bce89b88e9db07602a0e40)
+++ general/prog/python3.xml	(revision 73353e7fd3fc3d402c39651f161ef9d92647c870)
@@ -8,9 +8,12 @@
            "https://www.python.org/ftp/python/&python3-version;/Python-&python3-version;.tar.xz">
   <!ENTITY python3-download-ftp  " ">
-  <!ENTITY python3-md5sum        "df6ec36011808205beda239c72f947cb">
+  <!ENTITY python3-md5sum        "93df27aec0cd18d6d42173e601ffbbfd">
   <!ENTITY python3-size          "16 MB">
-  <!ENTITY python3-buildsize     "337 MB (add 29 MB for tests)">
-  <!ENTITY python3-time          "1.2 SBU (add 2.0 SBU for tests)">
+  <!ENTITY python3-buildsize     "177 MB (add 26 MB for tests)">
+  <!ENTITY python3-time          "0.9 SBU (add 1.4 SBU for tests)">
   <!--
+
+  Note: Size does not reflect docs that were install in LFS.
+
   <!ENTITY python3htmldoc-download-http
   "https://docs.python.org/ftp/python/doc/&python3-version;/python-&python3-version;-docs-html.tar.bz2"> -->
@@ -141,6 +144,6 @@
       <command>configure</command> switches above, run <command>make</command>,
       then <command>make test</command>. Remember that tests must be executed
-      using an X terminal. Two tests fail. The test SBU highly depends on the
-      speed of the internet connection.
+      using an X terminal. 
+      The test SBU highly depends on the speed of the internet connection.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9116137c784f3a42a3bce89b88e9db07602a0e40)
+++ introduction/welcome/changelog.xml	(revision 73353e7fd3fc3d402c39651f161ef9d92647c870)
@@ -42,4 +42,18 @@
     </listitem>
 -->
+    <listitem>
+      <para>March 27th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.7.3. Fixes
+          <ulink url="&blfs-ticket-root;11856">#11856</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libssh2-1.8.2. Fixes
+          <ulink url="&blfs-ticket-root;11855">#11855</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>March 26th, 2019</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 9116137c784f3a42a3bce89b88e9db07602a0e40)
+++ packages.ent	(revision 73353e7fd3fc3d402c39651f161ef9d92647c870)
@@ -155,5 +155,5 @@
 <!ENTITY libsigc-version              "2.10.1">
 <!ENTITY libsigsegv-version           "2.12">
-<!ENTITY libssh2-version              "1.8.1">
+<!ENTITY libssh2-version              "1.8.2">
 <!ENTITY libstatgrab-version          "0.91">
 <!ENTITY libtasn1-version             "4.13">
@@ -336,5 +336,5 @@
 <!ENTITY php-version                  "7.3.3">
 <!ENTITY python2-version              "2.7.16">
-<!ENTITY python3-version              "3.7.2">
+<!ENTITY python3-version              "3.7.3">
 <!ENTITY ruby-minor-version           "2.6">
 <!ENTITY ruby-patch-version           "2">