Index: general.ent
===================================================================
--- general.ent	(revision 0fc4a396ae4595294f16ff19a656543bfb314276)
+++ general.ent	(revision 73437f9e30d8fe842f4fba702b18012674af0b54)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "02">                   <!-- Always 2 digits -->
+<!ENTITY day          "03">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 2nd, &year;">
+<!ENTITY releasedate  "October 3rd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0fc4a396ae4595294f16ff19a656543bfb314276)
+++ introduction/welcome/changelog.xml	(revision 73437f9e30d8fe842f4fba702b18012674af0b54)
@@ -44,4 +44,14 @@
 
     <listitem>
+      <para>October 3rd, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[thomas] - Use stable branch (9.12.2-P2) for bind and bind-utils.
+             Fixes <ulink url="&blfs-ticket-root;11166">#11166</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 2nd, 2018</para>
       <itemizedlist>
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision 0fc4a396ae4595294f16ff19a656543bfb314276)
+++ networking/netutils/bind-utils.xml	(revision 73437f9e30d8fe842f4fba702b18012674af0b54)
@@ -7,5 +7,5 @@
   <!ENTITY bind-download-http   " ">
   <!ENTITY bind-download-ftp    "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.gz">
-  <!ENTITY bind-md5sum          "01d0524016ac15ea3f4b6c77d99db0b2">
+  <!ENTITY bind-md5sum          "022fd0b03f34b359e9b79c67b1a887a8">
   <!ENTITY bind-size            "8.1 MB">
   <!ENTITY bind-utils-buildsize "113 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision 0fc4a396ae4595294f16ff19a656543bfb314276)
+++ packages.ent	(revision 73437f9e30d8fe842f4fba702b18012674af0b54)
@@ -454,6 +454,6 @@
 <!-- Chapter 16 -->
 <!ENTITY avahi-version                "0.7">
-<!ENTITY bind-minor-version           "9.13">
-<!ENTITY bind-version                 "&bind-minor-version;.2">
+<!ENTITY bind-minor-version           "9.12">
+<!ENTITY bind-version                 "&bind-minor-version;.2-P2">
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-version       "1.12.2">
Index: server/major/bind.xml
===================================================================
--- server/major/bind.xml	(revision 0fc4a396ae4595294f16ff19a656543bfb314276)
+++ server/major/bind.xml	(revision 73437f9e30d8fe842f4fba702b18012674af0b54)
@@ -7,7 +7,7 @@
   <!ENTITY bind-download-http " ">
   <!ENTITY bind-download-ftp  "ftp://ftp.isc.org/isc/bind9/&bind-version;/bind-&bind-version;.tar.gz">
-  <!ENTITY bind-md5sum        "01d0524016ac15ea3f4b6c77d99db0b2">
+  <!ENTITY bind-md5sum        "022fd0b03f34b359e9b79c67b1a887a8">
   <!ENTITY bind-size          "8.1 MB">
-  <!ENTITY bind-buildsize     "103 MB (add 12 MB for tests)">
+  <!ENTITY bind-buildsize     "113 MB (add 12 MB for tests)">
   <!ENTITY bind-time          "0.8 SBU (with parallelism=4; add 30+ minutes, processor independent, to run the complete test suite)">
 ]>
@@ -138,5 +138,5 @@
     <note><para>If IPv6 is not enabled in the kernel, there will be several
     error messages: "RTNETLINK answers: Operation not permitted".  These
-    messages do not afffect the tests.</para></note>
+    messages do not affect the tests.</para></note>
 
 <screen role="root"><userinput>bin/tests/system/ifconfig.sh up</userinput></screen>