Index: appendices/glossary.xml
===================================================================
--- appendices/glossary.xml	(revision 522978386eaffb633fa73ccc79113883affcb68a)
+++ appendices/glossary.xml	(revision 73942e65d208b595dbfb825d38abf997a46be51f)
@@ -460,4 +460,7 @@
 <glossdef><para>Printer Control Language</para></glossdef></glossentry>
 
+<glossentry id="gPCM"><glossterm><acronym>PCM</acronym></glossterm>
+<glossdef><para>Pulse Code Modulation</para></glossdef></glossentry>
+
 <glossentry id="gPDC"><glossterm><acronym>PDC</acronym></glossterm>
 <glossdef><para>Primary Domain Controller</para></glossdef></glossentry>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 522978386eaffb633fa73ccc79113883affcb68a)
+++ introduction/welcome/changelog.xml	(revision 73942e65d208b595dbfb825d38abf997a46be51f)
@@ -22,4 +22,8 @@
 
 <itemizedlist>
+
+<listitem><para>November 9th, 2004 [randy]: Added optional dependencies and 
+additional instructions to Alsa Library; added PCM to the 
+Glossary.</para></listitem>
 
 <listitem><para>November 8th, 2004 [randy]: Updated to libglade-2.4.0 and 
Index: multimedia/libdriv/alsa-lib.xml
===================================================================
--- multimedia/libdriv/alsa-lib.xml	(revision 522978386eaffb633fa73ccc79113883affcb68a)
+++ multimedia/libdriv/alsa-lib.xml	(revision 73942e65d208b595dbfb825d38abf997a46be51f)
@@ -3,11 +3,12 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
- 
+
   <!ENTITY alsa-lib-download-http "&alsa-download-http;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
   <!ENTITY alsa-lib-download-ftp  "&alsa-download-ftp;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
   <!ENTITY alsa-lib-size          "661 KB">
-  <!ENTITY alsa-lib-buildsize     "27 MB">
-  <!ENTITY alsa-lib-time          "0.41 SBU">
+  <!ENTITY alsa-lib-buildsize     "33.7 MB (45.5 MB if docs are built)">
+  <!ENTITY alsa-lib-time          "0.59 SBU">
 ]>
+
 <sect1 id="alsa-lib" xreflabel="ALSA Library-&alsa-lib-version;">
 <sect1info>
@@ -19,10 +20,11 @@
 
 <sect2>
-<title>Introduction to <application><acronym>ALSA</acronym> Library</application></title>
+<title>Introduction to <application><acronym>ALSA</acronym> 
+Library</application></title>
 
 <para>The <application><acronym>ALSA</acronym> Library</application> package 
 contains the <acronym>ALSA</acronym> library.  This is used by programs 
-(including <application><acronym>ALSA</acronym> Utilities</application>) requiring 
-access to the <acronym>ALSA</acronym> sound interface.</para>
+(including <application><acronym>ALSA</acronym> Utilities</application>) 
+requiring access to the <acronym>ALSA</acronym> sound interface.</para>
 
 <sect3><title>Package information</title>
@@ -31,6 +33,14 @@
 <listitem><para>Download (FTP): <ulink url="&alsa-lib-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &alsa-lib-size;</para></listitem>
-<listitem><para>Estimated Disk space required: &alsa-lib-buildsize;</para></listitem>
+<listitem><para>Estimated disk space required: &alsa-lib-buildsize;</para></listitem>
 <listitem><para>Estimated build time: &alsa-lib-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application><acronym>ALSA</acronym> Library</application> 
+dependencies</title>
+<sect4><title>Optional</title>
+<para><ulink url="http://jackit.sourceforge.net/">JACK</ulink> and 
+<xref linkend="doxygen"/></para>
+</sect4>
 </sect3>
 
@@ -38,18 +48,35 @@
 
 <sect2>
-<title>Installation of <application><acronym>ALSA</acronym> Library</application>
+<title>Installation of <application><acronym>ALSA</acronym> 
+Library</application>
 </title>
 
-<para>In the "Sound" section of the kernel configuration, edit <userinput>Advanced Linux
-Sound Architecture</userinput> options to match your audio hardware and
-disable deprecated <userinput>Open Sound System</userinput>.
+<para>In the <quote>Sound</quote> section of the kernel configuration, edit 
+<userinput>Advanced Linux Sound Architecture</userinput> options to match your 
+audio hardware and disable deprecated <userinput>Open Sound System</userinput>. 
 Recompile and install your new kernel.</para>
 
-<para>Install <application><acronym>ALSA</acronym> Library</application> by running 
-the following commands:</para>
+<para>Install <application><acronym>ALSA</acronym> Library</application> by 
+running the following commands:</para>
 
 <screen><userinput><command>./configure --enable-static &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
+
+<para>If you have <application><acronym>JACK</acronym></application> installed 
+and you wish to build the <application><acronym>JACK</acronym></application> 
+<acronym>PCM</acronym> plugin library, run the following commands:</para>
+
+<screen><userinput><command>cd src/pcm/ext &amp;&amp;
+make jack &amp;&amp;
+make install-jack</command></userinput></screen>
+
+<para>If you have <application>Doxygen</application> installed and you wish to 
+build the library <acronym>API</acronym> documentation, run the following
+commands from the top-level directory of the source tree:</para>
+
+<screen><userinput><command>make doc &amp;&amp;
+install -d -m755 /usr/share/alsa/doc/html &amp;&amp;
+install -m644 doc/doxygen/html/* /usr/share/alsa/doc/html</command></userinput></screen>
 
 </sect2>
@@ -59,14 +86,31 @@
 
 <para><parameter>--enable-static</parameter>: This switch is used to enable
-building the static library because some programs link against it.  </para>
+building the static library because some programs link against it.</para>
 
 </sect2>
 
 <sect2>
-<title>Configuring <application><acronym>ALSA</acronym> Library</application></title>
+<title>Configuring <application><acronym>ALSA</acronym> 
+Library</application></title>
 
-<sect3><title>Configuration Information</title>
+<sect3><title>Config files</title>
+<para><filename>/usr/share/alsa/alsa.conf</filename>, 
+<filename>/etc/asound.conf</filename>, 
+<filename>~/.asoundrc</filename> and 
+<filename>/usr/share/alsa/{cards,pcm}/*.conf</filename></para>
+</sect3>
 
+<sect3><title>Configuration information</title>
+
+<!-- 
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../../lib-config.xml"/> 
+-->
+<para>The default <filename>alsa.conf</filename> is adequate for most
+installations. For extra functionality and/or advanced control of your sound 
+device, you may need to create additional configuration files. For 
+information on the available configuration parameters, including setup of the 
+<application><acronym>JACK</acronym></application> <acronym>PCM</acronym> 
+plugin, visit <ulink 
+url="http://www.alsa-project.org/alsa-doc/doc-php/asoundrc.php"/>.</para>
 
 </sect3>
@@ -74,11 +118,13 @@
 </sect2>
 
-
 <sect2>
 <title>Contents</title>
 
 <para>The <application><acronym>ALSA</acronym> Library</application> package 
-contains <command>aserver</command> and the <filename class="libraryfile">
-libasound</filename> library.</para>
+contains <command>aserver</command>, 
+<command>alsalisp</command>, 
+the <filename class="libraryfile">libasound</filename> library and optionally, 
+the <application><acronym>JACK</acronym></application> <acronym>PCM</acronym> 
+plugin library.</para>
 
 </sect2>