Index: gnome.ent
===================================================================
--- gnome.ent	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ gnome.ent	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -83,11 +83,11 @@
 <!ENTITY evince-version                 "3.22.0">
 <!ENTITY evolution-version              "3.22.0">
-<!ENTITY file-roller-version            "3.20.3">
-<!ENTITY gedit-version                  "3.20.2">
-<!ENTITY gnome-calculator-version       "3.20.2">
+<!ENTITY file-roller-version            "3.22.0">
+<!ENTITY gedit-version                  "3.22.0">
+<!ENTITY gnome-calculator-version       "3.22.0">
 <!ENTITY gnome-color-manager-version    "3.22.0">
-<!ENTITY gnome-disk-utility-version     "3.20.2">
-<!ENTITY gnome-logs-version             "3.20.1">
-<!ENTITY gnome-maps-version             "3.20.3.1">
+<!ENTITY gnome-disk-utility-version     "3.22.0">
+<!ENTITY gnome-logs-version             "3.22.0">
+<!ENTITY gnome-maps-version             "3.22.0">
 <!ENTITY gnome-nettool-version          "3.8.1">
 <!ENTITY gnome-power-manager-version    "3.20.0">
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ gnome/applications/file-roller.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -6,8 +6,8 @@
 
   <!ENTITY file-roller-download-http
-           "&gnome-download-http;/file-roller/&gnome-minor-20;/file-roller-&file-roller-version;.tar.xz">
+           "&gnome-download-http;/file-roller/&gnome-minor-22;/file-roller-&file-roller-version;.tar.xz">
   <!ENTITY file-roller-download-ftp
-           "&gnome-download-ftp;/file-roller/&gnome-minor-20;/file-roller-&file-roller-version;.tar.xz">
-  <!ENTITY file-roller-md5sum        "3298b64b6ff7a509e0de852fed3ca459">
+           "&gnome-download-ftp;/file-roller/&gnome-minor-22;/file-roller-&file-roller-version;.tar.xz">
+  <!ENTITY file-roller-md5sum        "8e666f1191f3ebfdf63c578d1f9597e9">
   <!ENTITY file-roller-size          "1.4 MB">
   <!ENTITY file-roller-buildsize     "35 MB">
@@ -92,4 +92,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+      <xref linkend="cpio"/>,
       <xref linkend="desktop-file-utils"/>,
       <xref linkend="json-glib"/>,
@@ -141,5 +142,5 @@
 
     <para>
-      <option>--disable-packagekit</option>: This switch disables use
+      <option>--disable-packagekit</option>: This switch disables the use
       of PackageKit which isn't suitable for BLFS.
     </para>
@@ -166,6 +167,5 @@
         </seg>
         <seg>
-          /usr/lib/nautilus/extensions-3.0/libnautilus-fileroller.so
-          (Nautilus module)
+          None
         </seg>
         <seg>
Index: gnome/applications/gedit.xml
===================================================================
--- gnome/applications/gedit.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ gnome/applications/gedit.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor-20;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor-20;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-md5sum        "39d3278c6b107008051a2e75ae459520">
-  <!ENTITY gedit-size          "3.0 MB">
-  <!ENTITY gedit-buildsize     "74 MB">
+  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor-22;/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor-22;/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-md5sum        "2f41105c5a87a5b4e4a82934cf7e01b7">
+  <!ENTITY gedit-size          "2.8 MB">
+  <!ENTITY gedit-buildsize     "93 MB">
   <!ENTITY gedit-time          "0.9 SBU">
 ]>
@@ -93,6 +93,6 @@
     <para role="optional">
       <xref linkend="gtk-doc"/>,
-      <xref linkend="vala"/>, and
-      <ulink url="http://ftp.acc.umu.se/pub/gnome/sources/gspell/">gspell</ulink>
+      <xref linkend="vala"/>,
+      <ulink url="http://ftp.acc.umu.se/pub/gnome/sources/gspell/">gspell</ulink>, and
       <ulink url="http://launchpad.net/zeitgeist">zeitgeist</ulink>
     </para>
Index: gnome/applications/gnome-calculator.xml
===================================================================
--- gnome/applications/gnome-calculator.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ gnome/applications/gnome-calculator.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-calculator-download-http
-           "&gnome-download-http;/gnome-calculator/&gnome-minor-20;/gnome-calculator-&gnome-calculator-version;.tar.xz">
+           "&gnome-download-http;/gnome-calculator/&gnome-minor-22;/gnome-calculator-&gnome-calculator-version;.tar.xz">
   <!ENTITY gnome-calculator-download-ftp
-           "&gnome-download-ftp;/gnome-calculator/&gnome-minor-20;/gnome-calculator-&gnome-calculator-version;.tar.xz">
-  <!ENTITY gnome-calculator-md5sum        "b8b5818b86c8385d02f20a0b79fd15e0">
+           "&gnome-download-ftp;/gnome-calculator/&gnome-minor-22;/gnome-calculator-&gnome-calculator-version;.tar.xz">
+  <!ENTITY gnome-calculator-md5sum        "3e794e2fa23e2a46b6712db439a1546b">
   <!ENTITY gnome-calculator-size          "1.3 MB">
-  <!ENTITY gnome-calculator-buildsize     "59 MB (with tests)">
+  <!ENTITY gnome-calculator-buildsize     "52 MB (with tests)">
   <!ENTITY gnome-calculator-time          "0.4 SBU (with tests)">
 ]>
@@ -75,4 +75,5 @@
     </itemizedlist>
 
+<!-- Not needed as of 3.22.0 - but keeping just in case.
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -90,4 +91,5 @@
       </listitem>
     </itemizedlist>
+-->
 
     <bridgehead renderas="sect3">GNOME Calculator Dependencies</bridgehead>
@@ -113,4 +115,5 @@
     <title>Installation of GNOME Calculator</title>
 
+<!--
     <para>
       First, copy the files that were downloaded earlier into the proper
@@ -120,4 +123,5 @@
 
 <screen><userinput>cp -v ../history-{entry,view}.ui data/</userinput></screen>
+-->
 
     <para>
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ gnome/applications/gnome-disk-utility.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -6,8 +6,8 @@
 
   <!ENTITY gnome-disk-utility-download-http
-           "&gnome-download-http;/gnome-disk-utility/&gnome-minor-20;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
+           "&gnome-download-http;/gnome-disk-utility/&gnome-minor-22;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
   <!ENTITY gnome-disk-utility-download-ftp
-           "&gnome-download-ftp;/gnome-disk-utility/&gnome-minor-20;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
-  <!ENTITY gnome-disk-utility-md5sum        "4cae57c846d451644e796f3ea496b07f">
+           "&gnome-download-ftp;/gnome-disk-utility/&gnome-minor-22;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
+  <!ENTITY gnome-disk-utility-md5sum        "613f6c9a502de84d8f972ed25f4b6025">
   <!ENTITY gnome-disk-utility-size          "1.4 MB">
   <!ENTITY gnome-disk-utility-buildsize     "41 MB">
Index: gnome/applications/gnome-logs.xml
===================================================================
--- gnome/applications/gnome-logs.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ gnome/applications/gnome-logs.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -6,9 +6,9 @@
 
   <!ENTITY gnome-logs-download-http
-           "&gnome-download-http;/gnome-logs/&gnome-minor-20;/gnome-logs-&gnome-logs-version;.tar.xz">
+           "&gnome-download-http;/gnome-logs/&gnome-minor-22;/gnome-logs-&gnome-logs-version;.tar.xz">
   <!ENTITY gnome-logs-download-ftp
-           "&gnome-download-ftp;/gnome-logs/&gnome-minor-20;/gnome-logs-&gnome-logs-version;.tar.xz">
-  <!ENTITY gnome-logs-md5sum        "f09713af568d5e45aa66090d114764c5">
-  <!ENTITY gnome-logs-size          "932 KB">
+           "&gnome-download-ftp;/gnome-logs/&gnome-minor-22;/gnome-logs-&gnome-logs-version;.tar.xz">
+  <!ENTITY gnome-logs-md5sum        "fe88f08c10d45634cba7a432b92f2cbd">
+  <!ENTITY gnome-logs-size          "948 KB">
   <!ENTITY gnome-logs-buildsize     "14 MB (with tests)">
   <!ENTITY gnome-logs-time          "less than 0.1 SBU (with tests)">
@@ -149,5 +149,5 @@
         <listitem>
           <para>
-            is the <application>GNOME</application> log viewer for the
+            is a <application>GNOME</application> log viewer for the
             systemd journal.
           </para>
Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ gnome/applications/gnome-maps.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-maps-download-http
-           "&gnome-download-http;/gnome-maps/&gnome-minor-20;/gnome-maps-&gnome-maps-version;.tar.xz">
+           "&gnome-download-http;/gnome-maps/&gnome-minor-22;/gnome-maps-&gnome-maps-version;.tar.xz">
   <!ENTITY gnome-maps-download-ftp
-           "&gnome-download-ftp;/gnome-maps/&gnome-minor-20;/gnome-maps-&gnome-maps-version;.tar.xz">
-  <!ENTITY gnome-maps-md5sum        "6df409e80ea174b2592ab773c24cf048">
+           "&gnome-download-ftp;/gnome-maps/&gnome-minor-22;/gnome-maps-&gnome-maps-version;.tar.xz">
+  <!ENTITY gnome-maps-md5sum        "d810479a4f7fd49dc6a89f2908aabf1a">
   <!ENTITY gnome-maps-size          "1.0 MB">
   <!ENTITY gnome-maps-buildsize     "13 MB">
-  <!ENTITY gnome-maps-time          "0.1 SBU">
+  <!ENTITY gnome-maps-time          "less than 0.1 SBU">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ introduction/welcome/changelog.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -48,4 +48,36 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to openssl-1.0.2j. Fixes
+          <ulink url="&blfs-ticket-root;8359">#8359</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gtksourceview-3.22.0. Fixes
+          <ulink url="&blfs-ticket-root;8314">#8314</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-calculator-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gedit-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to file-roller-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-maps-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-logs-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to gnome-disk-utility-3.22.0. Partially fixes
+          <ulink url="&blfs-ticket-root;8315">#8315</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[dj] - Update to nghttp2-1.15.0. Fixes
           <ulink url="&blfs-ticket-root;8351">#8351</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ packages.ent	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -34,5 +34,5 @@
 <!ENTITY nss-version                  "3.&nss-minor-version;">
 <!ENTITY openssh-version              "7.3p1">
-<!ENTITY openssl-version              "1.0.2i">
+<!ENTITY openssl-version              "1.0.2j">
 <!ENTITY p11-kit-version              "0.23.2">    <!-- Even minors only -->
 <!ENTITY polkit-version               "0.113">
@@ -523,5 +523,5 @@
 <!ENTITY gtkmm2-version               "2.24.5">
 <!ENTITY gtkmm3-version               "3.22.0">
-<!ENTITY gtksourceview-version        "3.20.4">
+<!ENTITY gtksourceview-version        "3.22.0">
 <!ENTITY gtk-vnc-version              "0.5.4">
 <!ENTITY imlib2-version               "1.4.9">
Index: postlfs/security/openssl.xml
===================================================================
--- postlfs/security/openssl.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ postlfs/security/openssl.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -9,7 +9,7 @@
   <!ENTITY openssl-download-ftp
            "ftp://openssl.org/source/openssl-&openssl-version;.tar.gz">
-  <!ENTITY openssl-md5sum        "678374e63f8df456a697d3e5e5a931fb">
+  <!ENTITY openssl-md5sum        "96322138f0b69e61b7212bc53d5e912b">
   <!ENTITY openssl-size          "5.1 MB">
-  <!ENTITY openssl-buildsize     "51 MB (with tests)">
+  <!ENTITY openssl-buildsize     "65 MB (with tests)">
   <!ENTITY openssl-time          "1.4 SBU (with tests)">
 ]>
Index: x/lib/gtksourceview.xml
===================================================================
--- x/lib/gtksourceview.xml	(revision 8c4c82250279802f77ede2352b35c52e2fa4c7d0)
+++ x/lib/gtksourceview.xml	(revision 74309b582cb1eeb3483af742d51973cc5f560e44)
@@ -6,11 +6,11 @@
 
   <!ENTITY gtksourceview-download-http
-    "&gnome-download-http;/gtksourceview/&gnome-minor-20;/gtksourceview-&gtksourceview-version;.tar.xz">
+    "&gnome-download-http;/gtksourceview/&gnome-minor-22;/gtksourceview-&gtksourceview-version;.tar.xz">
   <!ENTITY gtksourceview-download-ftp
-    "&gnome-download-ftp;/gtksourceview/&gnome-minor-20;/gtksourceview-&gtksourceview-version;.tar.xz">
-  <!ENTITY gtksourceview-md5sum        "d1f56a0ff3a87b0f4ffde50c6c99a8d5">
+    "&gnome-download-ftp;/gtksourceview/&gnome-minor-22;/gtksourceview-&gtksourceview-version;.tar.xz">
+  <!ENTITY gtksourceview-md5sum        "a94207a50072994023d83ec86ee080a3">
   <!ENTITY gtksourceview-size          "1.5 MB">
-  <!ENTITY gtksourceview-buildsize     "80 MB (with tests)">
-  <!ENTITY gtksourceview-time          "0.6 SBU (with tests)">
+  <!ENTITY gtksourceview-buildsize     "82 MB (with tests)">
+  <!ENTITY gtksourceview-time          "0.5 SBU (with tests)">
 ]>
 
@@ -89,4 +89,5 @@
     <para role="optional">
       <xref linkend="vala"/>,
+      <xref linkend="valgrind"/>,
       <xref linkend="gtk-doc"/>,
       <xref linkend="itstool"/>,