Index: kde/add/kdeaccessibility.xml
===================================================================
--- kde/add/kdeaccessibility.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdeaccessibility.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdeaccessibility-md5sum        "79c7fa53ec60ad51fbdb16aac56d85a1">
   <!ENTITY kdeaccessibility-size          "8.4 MB">
-  <!ENTITY kdeaccessibility-buildsize     "57.9 MB">
+  <!ENTITY kdeaccessibility-buildsize     "57 MB">
   <!ENTITY kdeaccessibility-time          "2.1 SBU">
 ]>
Index: kde/add/kdeaddons.xml
===================================================================
--- kde/add/kdeaddons.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdeaddons.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdeaddons-md5sum        "eaa3832a25b483d1a9613f75991c3d7b">
   <!ENTITY kdeaddons-size          "1.7 MB">
-  <!ENTITY kdeaddons-buildsize     "48.8 MB">
+  <!ENTITY kdeaddons-buildsize     "48 MB">
   <!ENTITY kdeaddons-time          "5.7 SBU">
 ]>
Index: kde/add/kdeadmin.xml
===================================================================
--- kde/add/kdeadmin.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdeadmin.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdeadmin-md5sum        "e6607ea27b332616d20f4564656cb885">
   <!ENTITY kdeadmin-size          "2.1 MB">
-  <!ENTITY kdeadmin-buildsize     "25.9 MB">
+  <!ENTITY kdeadmin-buildsize     "25 MB">
   <!ENTITY kdeadmin-time          "1.1 SBU">
 ]>
Index: kde/add/kdeartwork.xml
===================================================================
--- kde/add/kdeartwork.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdeartwork.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdeartwork-md5sum        "ec526eba38421fd3b143682b8d683c86">
   <!ENTITY kdeartwork-size          "16.0 MB">
-  <!ENTITY kdeartwork-buildsize     "99.5 MB">
+  <!ENTITY kdeartwork-buildsize     "99 MB">
   <!ENTITY kdeartwork-time          "1.5 SBU">
 ]>
Index: kde/add/kdegames.xml
===================================================================
--- kde/add/kdegames.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdegames.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdegames-md5sum        "472385f21a692270fb5643d7617c7ff3">
   <!ENTITY kdegames-size          "11.0 MB">
-  <!ENTITY kdegames-buildsize     "98.3 MB (additional 12.8 MB for API docs)">
+  <!ENTITY kdegames-buildsize     "98 MB (additional 13 MB for API docs)">
   <!ENTITY kdegames-time          "3.2 SBU (additional 0.6 SBU for API docs)">
 ]>
Index: kde/add/kdegraphics.xml
===================================================================
--- kde/add/kdegraphics.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdegraphics.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdegraphics-md5sum        "3d75e27180573a4e077e0245055891a5">
   <!ENTITY kdegraphics-size          "7.1 MB">
-  <!ENTITY kdegraphics-buildsize     "150 MB (additional 36.8 MB for API docs)">
+  <!ENTITY kdegraphics-buildsize     "150 MB (additional 37 MB for API docs)">
   <!ENTITY kdegraphics-time          "7.5 SBU (additional 0.6 SBU for API docs)">
 ]>
Index: kde/add/kdemultimedia.xml
===================================================================
--- kde/add/kdemultimedia.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdemultimedia.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -9,5 +9,5 @@
   <!ENTITY kdemultimedia-md5sum        "fdfafe38d2c7e3019dafc80c177add15">
   <!ENTITY kdemultimedia-size          "6.1 MB">
-  <!ENTITY kdemultimedia-buildsize     "124.5 MB (additional 1.3 MB for API docs)">
+  <!ENTITY kdemultimedia-buildsize     "125 MB (additional 1 MB for API docs)">
   <!ENTITY kdemultimedia-time          "9.8 SBU (additional 0.2 SBU for API docs)">
 
@@ -203,6 +203,6 @@
     </note> -->
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/kde-sysconfdir.xml"/>
+<!--    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/kde-sysconfdir.xml"/> -->
 
 <screen><userinput>./configure --prefix=&kde-dir; --sysconfdir=/etc/kde \
Index: kde/add/kdenetwork.xml
===================================================================
--- kde/add/kdenetwork.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdenetwork.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,6 +8,6 @@
   <!ENTITY kdenetwork-md5sum        "0ec1d4ccd550510821a622eb91b893e8">
   <!ENTITY kdenetwork-size          "9.0 MB">
-  <!ENTITY kdenetwork-buildsize     "194.3 MB (additional 25.7 MB for API docs)">
-  <!ENTITY kdenetwork-time          "11.7 SBU (additional 0.2 SBU for API docs">
+  <!ENTITY kdenetwork-buildsize     "194 MB (additional 26 MB for API docs)">
+  <!ENTITY kdenetwork-time          "12 SBU (additional 0.2 SBU for API docs">
 ]>
 
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdepim.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,6 +8,6 @@
   <!ENTITY kdepim-md5sum        "ba27b06599556c572a26f03608471ee2">
   <!ENTITY kdepim-size          "14.0 MB">
-  <!ENTITY kdepim-buildsize     "281.3 MB (additional 251 MB for API docs)">
-  <!ENTITY kdepim-time          "21.8 SBU (additional 1 SBU for API docs)">
+  <!ENTITY kdepim-buildsize     "281 MB (additional 251 MB for API docs)">
+  <!ENTITY kdepim-time          "22 SBU (additional 1 SBU for API docs)">
 ]>
 
@@ -90,5 +90,5 @@
     --disable-dependency-tracking &amp;&amp;
 sed -i "s@ \*/@&amp;\n#define HAVE_FOPENCOOKIE@" \
-     libkdenetwork/libgpgme-copy/{assuan,gpgme}/funopen.c &amp;&amp;
+    libkdenetwork/libgpgme-copy/{assuan,gpgme}/funopen.c &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/kdetoys.xml
===================================================================
--- kde/add/kdetoys.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdetoys.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdetoys-md5sum        "10fd55e004a582f87eed6796811bb3b8">
   <!ENTITY kdetoys-size          "3.2 MB">
-  <!ENTITY kdetoys-buildsize     "21.3 MB">
+  <!ENTITY kdetoys-buildsize     "21 MB">
   <!ENTITY kdetoys-time          "0.9 SBU">
 ]>
Index: kde/add/kdeutils.xml
===================================================================
--- kde/add/kdeutils.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/add/kdeutils.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdeutils-md5sum        "dbe5ddff57141f27778601df5571e182">
   <!ENTITY kdeutils-size          "3.0 MB">
-  <!ENTITY kdeutils-buildsize     "63.7 MB (additional 7.6 MB for API docs)">
+  <!ENTITY kdeutils-buildsize     "64 MB (additional 8 MB for API docs)">
   <!ENTITY kdeutils-time          "3.7 SBU (additional 0.2 SBU for API docs)">
 ]>
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/core/arts.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -9,5 +9,5 @@
   <!ENTITY arts-md5sum        "62a5e4d522314bab19288e4702480c93">
   <!ENTITY arts-size          "951 KB">
-  <!ENTITY arts-buildsize     "30.1 MB">
+  <!ENTITY arts-buildsize     "30 MB">
   <!ENTITY arts-time          "1.3 SBU">
 ]>
Index: kde/core/kdebase.xml
===================================================================
--- kde/core/kdebase.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/core/kdebase.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,7 +8,7 @@
   <!ENTITY kdebase-download-ftp  "&kde-download-ftp;/kdebase-&kde-version;.tar.bz2">
   <!ENTITY kdebase-md5sum        "c8c35389a238aa1b73e68ef5298eadf8">
-  <!ENTITY kdebase-size          "24 MB">
-  <!ENTITY kdebase-buildsize     "273.6 MB (additional 17.3 MB for API docs)">
-  <!ENTITY kdebase-time          "10.8 SBU (additional 8.4 SBU for API docs)">
+  <!ENTITY kdebase-size          "24.0 MB">
+  <!ENTITY kdebase-buildsize     "273 MB (additional 17 MB for API docs)">
+  <!ENTITY kdebase-time          "11 SBU (additional 8.4 SBU for API docs)">
 ]>
 
@@ -74,5 +74,6 @@
     <xref linkend="cyrus-sasl"/>,
     <xref linkend="samba3"/>,
-    <xref linkend="hal"/> (must also have <xref linkend="dbus-qt3"/>,
+    <xref linkend="hal"/> and
+    <xref linkend="dbus-qt3"/>,
     <xref linkend="heimdal"/> or <xref linkend="mitkrb"/>,
     <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
@@ -107,6 +108,6 @@
     <para>Install <application>kdebase</application> with:</para>
 
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/kde-sysconfdir.xml"/>
+<!--    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../xincludes/kde-sysconfdir.xml"/> -->
 
 <screen><userinput>./configure --prefix=&kde-dir; --sysconfdir=/etc/kde \
@@ -127,6 +128,9 @@
     
     <para><parameter>LD_LIBRARY_PATH="$KDE_PREFIX/lib" make</parameter>: A bug in
-    the kdebase buildsystem prevents kdelibs from being found by the Makefiles when 
-    kdelibs is installed in /opt.  Setting LD_LIBRARY_PATH works around the problem.</para>
+    the <application>kdebase</application> build system prevents 
+    <application>kdelibs</application> from being found by the Makefiles when 
+    <application>kdelibs</application> is installed in 
+    <filename class='directory'>/opt</filename>. Setting LD_LIBRARY_PATH works 
+    around the problem.</para>
     
   </sect2>
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/core/kdelibs.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,7 +8,7 @@
   <!ENTITY kdelibs-download-ftp  "&kde-download-ftp;/kdelibs-&kde-version;.tar.bz2">
   <!ENTITY kdelibs-md5sum        "55e5f00874933d1a7ba7c95e369a205e">
-  <!ENTITY kdelibs-size          "15 MB">
-  <!ENTITY kdelibs-buildsize     "276.2 MB (additional 431.9 MB for API docs)">
-  <!ENTITY kdelibs-time          "15.5 SBU (additional 1.25 SBU for API docs)">
+  <!ENTITY kdelibs-size          "15.0 MB">
+  <!ENTITY kdelibs-buildsize     "276 MB (additional 431 MB for API docs)">
+  <!ENTITY kdelibs-time          "15 SBU (additional 1.25 SBU for API docs)">
 ]>
 
@@ -166,7 +166,9 @@
     you have multiple versions of <application>KDE</application> installed.</para>
 
-    <para><parameter>LD_LIBRARY_PATH="$QTDIR/lib" make</parameter>: A bug in the kdelibs 
-    build system prevents Qt from being found by the Makefiles if Qt was installed in /opt. 
-    Setting LD_LIBRARY_PATH works around the problem.</para>
+    <para><parameter>LD_LIBRARY_PATH="$QTDIR/lib" make</parameter>: A bug in the 
+    <application>kdelibs</application> build system prevents <application>Qt</application>
+    from being found by the Makefiles if <application>Qt</application> was 
+    installed in <filename class='directory'>/opt</filename>. Setting LD_LIBRARY_PATH
+    works around the problem.</para>
 
   </sect2>
Index: kde/devel/kdebindings.xml
===================================================================
--- kde/devel/kdebindings.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/devel/kdebindings.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,6 +8,6 @@
   <!ENTITY kdebindings-md5sum        "ba780920f6b810a30a61b1ffa888706b">
   <!ENTITY kdebindings-size          "5.5 MB">
-  <!ENTITY kdebindings-buildsize     "489.5 MB">
-  <!ENTITY kdebindings-time          "18.1 SBU">
+  <!ENTITY kdebindings-buildsize     "490 MB">
+  <!ENTITY kdebindings-time          "18 SBU">
 ]>
 
@@ -119,6 +119,8 @@
 
     <para><command>sed -i 's%echo "yes" | @PYTHON@ configure.py%&amp; -y qt-mt%' python/Makefile.in</command>: 
-    Specifies that the libqt-mt.so library should be used to build the pyqt bindings.
-    <command>configure.py</command> will fail if it finds both libqt-mt.so and libqt.so.</para>
+    Specifies that the <filename class='libraryfile'>libqt-mt.so</filename> library 
+    should be used to build the pyqt bindings. <command>configure.py</command> 
+    will fail if it finds both <filename class='libraryfile'>libqt-mt.so</filename>
+    and <filename class='libraryfile'>libqt.so</filename>.</para>
 
     <para><command>DO_NOT_COMPILE="smoke" ./configure</command>: Disables the building 
Index: kde/devel/kdesdk.xml
===================================================================
--- kde/devel/kdesdk.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/devel/kdesdk.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdesdk-md5sum        "fd86abfe0ac7c5af61b15eb5367d0399">
   <!ENTITY kdesdk-size          "5.1 MB">
-  <!ENTITY kdesdk-buildsize     "112.2 MB">
+  <!ENTITY kdesdk-buildsize     "112 MB">
   <!ENTITY kdesdk-time          "6.7 SBU">
 ]>
Index: kde/devel/kdevelop.xml
===================================================================
--- kde/devel/kdevelop.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/devel/kdevelop.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,6 +8,6 @@
   <!ENTITY kdevelop-md5sum        "80d2216a0089fe142735d34ae8de6a0c">
   <!ENTITY kdevelop-size          "9.1 MB">
-  <!ENTITY kdevelop-buildsize     "186.7 MB (additional 23.3 MB for API docs)">
-  <!ENTITY kdevelop-time          "14.7 SBU (additional 0.2 SBU for API docs)">
+  <!ENTITY kdevelop-buildsize     "187 MB (additional 23 MB for API docs)">
+  <!ENTITY kdevelop-time          "15 SBU (additional 0.2 SBU for API docs)">
 ]>
 
Index: kde/devel/kdewebdev.xml
===================================================================
--- kde/devel/kdewebdev.xml	(revision a9bab6d156508da7f8b1d811d3ed337ffd90376b)
+++ kde/devel/kdewebdev.xml	(revision 74938aaaaae63c2c7caf4c2de28f03b3f72e981c)
@@ -8,5 +8,5 @@
   <!ENTITY kdewebdev-md5sum        "e95d1fbb698ec76966abfa5bdf96bd5e">
   <!ENTITY kdewebdev-size          "6.0 MB">
-  <!ENTITY kdewebdev-buildsize     "107.1 MB">
+  <!ENTITY kdewebdev-buildsize     "107 MB">
   <!ENTITY kdewebdev-time          "5.6 SBU">
 ]>