Index: general.ent
===================================================================
--- general.ent	(revision 7e4c84933f3e60c3bfb8b92cc38a441318310d3b)
+++ general.ent	(revision 75440e47f6cfa90894e40a707094c25a4973f8eb)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "30">                   <!-- Always 2 digits -->
+<!ENTITY day          "31">                   <!-- Always 2 digits -->
 <!ENTITY month        "03">                   <!-- Always 2 digits -->
 <!ENTITY year         "2016">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "March 30th &year;">
+<!ENTITY releasedate  "March 31st &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/graphite2.xml
===================================================================
--- general/graphlib/graphite2.xml	(revision 7e4c84933f3e60c3bfb8b92cc38a441318310d3b)
+++ general/graphlib/graphite2.xml	(revision 75440e47f6cfa90894e40a707094c25a4973f8eb)
@@ -8,5 +8,5 @@
            "https://github.com/silnrsi/graphite/releases/download/&graphite2-version;/graphite2-&graphite2-version;.tgz">
   <!ENTITY graphite2-download-ftp  " ">
-  <!ENTITY graphite2-md5sum        "5b82a89b306712646cccbea1d26354d7">
+  <!ENTITY graphite2-md5sum        "236d2cb1f831fe33083112afbb555f0e">
   <!ENTITY graphite2-size          "3.7 MB">
   <!ENTITY graphite2-buildsize     "21 MB (plus 6MB for docs and 1MB for tests)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7e4c84933f3e60c3bfb8b92cc38a441318310d3b)
+++ introduction/welcome/changelog.xml	(revision 75440e47f6cfa90894e40a707094c25a4973f8eb)
@@ -46,4 +46,18 @@
 
     <listitem>
+      <para>March 31st, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - Update to graphite2-1.3.8. Fixes
+          <ulink url="&blfs-ticket-root;7665">#7665</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Update to dovecot-2.2.23. Fixes
+          <ulink url="&blfs-ticket-root;7666">#7666</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>March 30th, 2016</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 7e4c84933f3e60c3bfb8b92cc38a441318310d3b)
+++ packages.ent	(revision 75440e47f6cfa90894e40a707094c25a4973f8eb)
@@ -167,5 +167,5 @@
 <!ENTITY gegl-version                 "0.2.0">
 <!ENTITY giflib-version               "5.1.3">
-<!ENTITY graphite2-version            "1.3.7">
+<!ENTITY graphite2-version            "1.3.8">
 <!ENTITY harfbuzz-version             "1.2.4">
 <!ENTITY ijs-version                  "0.35">
@@ -426,5 +426,5 @@
 <!ENTITY dovecot-major                "2">
 <!ENTITY dovecot-minor                "2">
-<!ENTITY dovecot-micro                "22">
+<!ENTITY dovecot-micro                "23">
 <!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
 
Index: server/mail/dovecot.xml
===================================================================
--- server/mail/dovecot.xml	(revision 7e4c84933f3e60c3bfb8b92cc38a441318310d3b)
+++ server/mail/dovecot.xml	(revision 75440e47f6cfa90894e40a707094c25a4973f8eb)
@@ -8,6 +8,6 @@
   "http://www.dovecot.org/releases/&dovecot-major;.&dovecot-minor;/dovecot-&dovecot-version;.tar.gz">
   <!ENTITY dovecot-download-ftp  " ">
-  <!ENTITY dovecot-md5sum        "bc8057bd5bdfa0f8e80e2fef1082a241">
-  <!ENTITY dovecot-size          "5.1 MB">
+  <!ENTITY dovecot-md5sum        "0d2855c19b0603b417cd70613b4a9f36">
+  <!ENTITY dovecot-size          "5.0 MB">
   <!ENTITY dovecot-buildsize     "286 MB (with tests)">
   <!ENTITY dovecot-time          "2.1 SBU (with tests)">