Index: general/genutils/graphviz.xml
===================================================================
--- general/genutils/graphviz.xml	(revision 4885a058452d092e6a8fdb5c552148e7cc1dd35a)
+++ general/genutils/graphviz.xml	(revision 75457ccbe6775de1e3ef4a0cc345d9eed435f292)
@@ -134,9 +134,11 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>sed "s:ruby-1.9:ruby-2.2:g" -i configure &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
     <para>
-      This package does not come with a test suite that provides meaningful results.
+      This package does not come with a test suite that provides
+      meaningful results.
     </para>
 
@@ -157,4 +159,15 @@
 <screen role="root"><userinput>ln -v -s /usr/share/graphviz/doc \
          /usr/share/doc/graphviz-&graphviz-version;</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>sed "s:ruby-1.9:ruby-2.2:g" -i configure</command>: Use this
+      command, if ruby-2.2.0 is installed and you wish
+      <application>Graphviz</application> built with support for it.
+    </para>
 
   </sect2>
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision 4885a058452d092e6a8fdb5c552148e7cc1dd35a)
+++ general/prog/doxygen.xml	(revision 75457ccbe6775de1e3ef4a0cc345d9eed435f292)
@@ -7,8 +7,8 @@
   <!ENTITY doxygen-download-http "http://ftp.stack.nl/pub/doxygen/doxygen-&doxygen-version;.src.tar.gz">
   <!ENTITY doxygen-download-ftp  "ftp://ftp.stack.nl/pub/doxygen/doxygen-&doxygen-version;.src.tar.gz">
-  <!ENTITY doxygen-md5sum        "0cbe6912fcac302a984bfcfb9231fec9">
+  <!ENTITY doxygen-md5sum        "753c1b135086c4771035622532652552">
   <!ENTITY doxygen-size          "4.8 MB">
-  <!ENTITY doxygen-buildsize     "111 MB">
-  <!ENTITY doxygen-time          "1.3 SBU">
+  <!ENTITY doxygen-buildsize     "119 MB (with doxywizard - additional 26 MB for docs)">
+  <!ENTITY doxygen-time          "1.7 SBU (with doxywizard)">
 ]>
 
@@ -93,7 +93,9 @@
       <xref linkend="graphviz"/>,
       <xref linkend="gs"/>,
-      <xref linkend="python2"/>,
-      <xref linkend="qt4"/> (for doxywizard) and
-      <xref linkend="texlive"/>
+      <xref linkend="llvm"/> (with clang),
+      <xref linkend="python2"/> or <xref linkend="python3"/>,
+      <xref linkend="qt4"/> (for doxywizard),
+      <xref linkend="texlive"/>, and
+      <xref linkend="xapian"/> (for doxyindexer)
     </para>
 
@@ -143,13 +145,23 @@
 
     <para>
-      <option>--with-doxywizard</option>: Use this parameter if
-      <application>Qt4</application> is installed and you wish to build the
-      GUI front-end. If both <application>Qt4</application> and
-      <application>Qt5</application> are installed, use
-      <command>source setqt4</command>. If <application>Qt4</application> is
-      installed in <filename class="directory">/opt</filename>, issue
-      <command>export QTDIR=$QT4DIR</command>.
-    </para>
-
+      <option>--with-doxywizard</option>: Use this switch if
+      <application>Qt4</application> is installed and you wish to build the GUI
+      front-end. If both <application>Qt4</application> and
+      <application>Qt5</application> are installed, use <command>source
+      setqt4</command>. If <application>Qt4</application> is installed in
+      <filename class="directory">/opt</filename>, issue <command>export
+      QTDIR=$QT4DIR</command>.
+    </para>
+
+    <para>
+      <option>--with-doxysearch</option>: Use this switch if
+      <application>xapian</application> is installed and you wish to build
+      external search tools (doxysearch and doxyindexer).
+    </para>
+
+    <para>
+      <option>--with-libclang</option>: Use this switch if
+      <application>llvm</application> with <application>clang</application> are
+      installed, to add support for libclang parsing.</para>
   </sect2>
 
@@ -180,5 +192,6 @@
       <seglistitem>
         <seg>
-          doxygen and optionally, doxywizard
+          doxygen and optionally,
+          doxywizard, doxyindexer and doxysearch.cgi
         </seg>
         <seg>
@@ -224,4 +237,32 @@
       </varlistentry>
 
+      <varlistentry id="doxyindexer">
+        <term><command>doxyindexer</command></term>
+        <listitem>
+          <para>
+            generates a search index called <filename>doxysearch.db</filename>
+            from one or more search data files produced by
+            <command>doxygen</command>. See, e.g. <ulink
+            url="http://www.stack.nl/~dimitri/doxygen/manual/extsearch.html"/>.
+          </para>
+          <indexterm zone="doxygen doxyindexer">
+            <primary sortas="b-doxyindexer">doxyindexer</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="doxysearch.cgi">
+        <term><command>doxysearch.cgi</command></term>
+        <listitem>
+          <para>
+            is a CGI program to search the data indexed by
+            <command>doxyindexer</command>.
+          </para>
+          <indexterm zone="doxygen doxysearch.cgi">
+            <primary sortas="b-doxysearch.cgi">doxysearch.cgi</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 
Index: general/prog/ruby.xml
===================================================================
--- general/prog/ruby.xml	(revision 4885a058452d092e6a8fdb5c552148e7cc1dd35a)
+++ general/prog/ruby.xml	(revision 75457ccbe6775de1e3ef4a0cc345d9eed435f292)
@@ -12,6 +12,6 @@
   <!ENTITY ruby-md5sum        "54b43c6c6c9dd4c4b08ceb03ad0ded7a">
   <!ENTITY ruby-size          "9.9 MB">
-  <!ENTITY ruby-buildsize     "481 MB">
-  <!ENTITY ruby-time          "2.9 SBU (additional 0.2 SBU for tests)">
+  <!ENTITY ruby-buildsize     "342 MB (additional 183 MB for docs)">
+  <!ENTITY ruby-time          "2.9 SBU (additional 1.1 SBU for docs and 0.2 SBU for tests)">
 ]>
 
@@ -97,11 +97,25 @@
     <para>
       Install <application>Ruby</application> by running the following
-      commands:
+      command:
     </para>
 
 <screen><userinput>./configure --prefix=/usr   \
             --enable-shared \
-            --docdir=/usr/share/doc/ruby-&ruby-version; &amp;&amp;
-make</userinput></screen>
+            --docdir=/usr/share/doc/ruby-&ruby-version;</userinput></screen>
+
+    <para>
+      Optionally, build the CAPI documents by running the following
+      commands:
+    </para>
+
+<screen><userinput>cp -v template/Doxyfile.tmpl Doxyfile &amp;&amp;
+doxygen</userinput></screen>
+
+    <para>
+      Compile and link <application>Ruby</application> by running the following
+      command:
+    </para>
+
+<screen><userinput>make</userinput></screen>
 
     <para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4885a058452d092e6a8fdb5c552148e7cc1dd35a)
+++ introduction/welcome/changelog.xml	(revision 75457ccbe6775de1e3ef4a0cc345d9eed435f292)
@@ -49,4 +49,15 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - ruby-2.2.0: fix build of capi docs and statistics
+          to make explicit docs part.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - graphviz-2.38.0: fix build with ruby-2.2.0.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to doxygen-1.8.9. Fixes
+          <ulink url="&blfs-ticket-root;5983">#5983</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[igor] - Update to links-2.9. Fixes
           <ulink url="&blfs-ticket-root;5980">#5980</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4885a058452d092e6a8fdb5c552148e7cc1dd35a)
+++ packages.ent	(revision 75457ccbe6775de1e3ef4a0cc345d9eed435f292)
@@ -252,5 +252,5 @@
 <!ENTITY cvs-version                  "1.11.23">
 <!ENTITY dejagnu-version              "1.5.1">
-<!ENTITY doxygen-version              "1.8.8">
+<!ENTITY doxygen-version              "1.8.9">
 <!ENTITY elfutils-version             "0.161">
 <!ENTITY expect-version               "5.45">